setup 2.888 crashes on --prune-install

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

setup 2.888 crashes on --prune-install

Andrew Schulman
When I run setup-x86_64.exe or setup-x86.exe with --prune-install as shown
below, it crashes. An error dialog pops up saying "setup-x86.exe has
stopped working". No other debug information appears on the console - the
whole session is shown below.

When I run the same command without --prune-install, it completes normally.

Poor setup seems to be having trouble solving all of the dependencies. Not
surprising, as my installation is old and crufty. Of course that's what I
was hoping --prune-install would help to dig me out of.

Andrew

c:\Users\x\Downloads\utilities\cygwin32>setup-x86.exe --no-shortcuts
--quiet-mode --prune-install --packages
atool,autoconf,automake,autossh,bc,bind-utils,byacc,bzr,curl,cygport,discus,dos2unix,doxygen,emacs,file,fish,flexdll,gcc-core,gcc-g++,gettext-devel,git,gnupg2,gsl-devel,help2man,lftp,libargp,libargp-devel,libcrypt-devel,libgd-devel,libiconv,libintl-devel,libncurses-devel,libneon-devel,libpcre2-devel,libpng-devel,libreadline-devel,libwrap-devel,libX11-devel,links,lndir,m4,make,multitail,ncurses,nosleep,ocaml,ocaml-camlp4,openssh,openssl-devel,orpie,p7zip,par2,patch,patchutils,pdftk,perl,pinentry,pinfo,pkg-config,procps-ng,psmisc,readline,rebase,robodoc,rsync,screen,sitecopy,sng,socat,stow,stunnel,time,tree,unison2.27,unison2.32,unison2.40,unison2.45,unison2.48,unison2.49,unison2.51,util-linux,wget,zip,

Starting cygwin install, version 2.888
User has backup/restore rights
Current Directory: C:\Users\x\Downloads\utilities\cygwin32
Could not open service McShield for query, start and stop. McAfee may not
be installed, or we don't have access.
root: C:\cygwin32 system
Selected local directory: C:\Users\x\Downloads\utilities\cygwin32
net: Direct
site: http://mirrors.xmission.com/cygwin/
solving: 699 tasks, update: no, use test packages: no
Augmented Transaction List:
   0   erase                                _update-info-dir 03000-1
   1   erase                                           aria2 1.32.0-1
   2   erase                                        automake 10-1
   3   erase                                     automake1.4 1.4p6-11
   4   erase                                     automake1.5 1.5-11
   5   erase                                     automake1.6 1.6.3-12
   6   erase                                     automake1.7 1.7.9-11
   7   erase                                     automake1.8 1.8.5-11
   8   erase                                      bind-utils 9.11.2-2.P1
   9   erase                                        compface 1.5.2-12
  10   erase                                            curl 7.56.1-1
  11   erase                                             cvs 1.11.23-2
  12   erase                                        diffstat 1.61-1
  13   erase                                         doxygen 1.8.14-2
  14   erase                                           emacs 25.3-1
  15   erase                                      fontconfig 2.12.4-1
  16   erase                                         gcc-g++ 6.4.0-5
  17   erase                                   gettext-devel 0.19.8.1-2
  18   erase                           ghostscript-fonts-std 20170801-4
  19   erase                                           gnupg 1.4.22-1
  20   erase                                        graphviz 2.40.1-3
  21   erase                                             gsl 2.3-2
  22   erase                                       gsl-devel 2.3-2
  23   erase                                       inetutils 1.9.1-2
  24   erase                                          ipcalc 0.41-1
  25   erase                                         libEGL1 17.3.3-1
  26   erase                                          libGL1 17.3.3-1
  27   erase                                    libXpm-devel 3.5.12-1
  28   erase                                    libbind9_140 9.10.4-4.P4
  29   erase                                     libclang3.8 3.8.1-1
  30   erase                                     libclang4.0 4.0.1-1
  31   erase                                        libcord1 7.6.4-1
  32   erase                                     libdialog13 1.3-2.20160828
  33   erase                                       libdns166 9.11.0-3.P5
  34   erase                             libfontconfig-devel 2.12.4-1
  35   erase                                       libgccpp1 7.6.4-1
  36   erase                                   libgcj-common 5.4.0-1
  37   erase                                     libgd-devel 2.2.5-1
  38   erase                                     libgnutls28 3.3.27-1
  39   erase                                         libgsl0 1.16-2
  40   erase                                      libguile17 1.8.8-3
  41   erase                                        libicu56 56.1-1
  42   erase                                        libicu57 57.1-1
  43   erase                                        libicu59 59.1-1
  44   erase                                       libirs141 9.10.4-4.P4
  45   erase                                        libisl10 0.11.1-2
  46   erase                                        libisl13 0.14.1-1
  47   erase                                      libjasper1 1.900.22-1
  48   erase                                   libjbig-devel 2.0-14
  49   erase                                   libjpeg-devel 1.5.3-1
  50   erase                              libkadm5clnt_mit10 1.14.4-1
  51   erase                               libkadm5clnt_mit9 1.13.2-4
  52   erase                               libkadm5srv_mit10 1.14.4-1
  53   erase                                libkadm5srv_mit9 1.13.2-4
  54   erase                                      libllvm3.5 3.5.2-2
  55   erase                                      libllvm3.8 3.8.1-1
  56   erase                                      libllvm3.9 3.9.1-1
  57   erase                                     liblwres141 9.10.4-4.P4
  58   erase                                   liblzma-devel 5.2.3-1
  59   erase                                   libneon-devel 0.30.1-1
  60   erase                                  libpcre2-devel 10.23-2
  61   erase                                 libpcre2-posix0 10.21-1
  62   erase                                    libpoppler62 0.45.0-2
  63   erase                                   libprocps-ng4 3.3.10-1
  64   erase                                   libprocps-ng5 3.3.11-1
  65   erase                                   libtiff-devel 4.0.9-1
  66   erase                                         libtool 2.4.6-5
  67   erase                                     libtxc_dxtn 1.0.1-2
  68   erase                                    libvpx-devel 1.6.1-1
  69   erase                                         libvpx1 1.3.0-2
  70   erase                                         libvpx3 1.5.0-1
  71   erase                                         libvtv0 5.4.0-1
  72   erase                                     libwebpmux1 0.4.4-1
  73   erase                                     libxapian22 1.2.24-1
  74   erase                                            lynx 2.8.7-1
  75   erase                                            make 4.2.1-2
  76   erase                                              nc 1.107-3
  77   erase                                             nss 3.30.2-1
  78   erase                                        openldap 2.4.42-1
  79   erase                                           orpie 1.5.2-3
  80   erase                                           pdftk 2.02-1
  81   erase                             perl-Authen-SASL-XS 1.00-2
  82   erase                                perl-Date-Simple 3.03-3
  83   erase                                 perl-Digest-SHA 6.01-1
  84   erase                               perl-File-HomeDir 1.002-2
  85   erase                                 perl-File-Slurp 9999.19-6
  86   erase                            perl-File-Slurp-Tiny 0.004-2
  87   erase                             perl-List-MoreUtils 0.428-1
  88   erase                             perl-Locale-gettext 1.05-13
  89   erase                                 perl-MIME-tools 5.508-2
  90   erase                    perl-Module-Load-Conditional 0.68-2
  91   erase                                perl-Mojolicious 7.60-1
  92   erase                               perl-Net-SMTP-SSL 1.04-2
  93   erase                                 perl-Pod-Simple 3.35-2
  94   erase                          perl-Unicode-Normalize 1.25-2
  95   erase                                 perl-XML-Parser 2.44-3
  96   erase                                   perl-XSLoader 0.24-2
  97   erase                                            ping 1.0.2-1
  98   erase                                        pngcheck 2.3.0-1
  99   erase                                            popt 1.16-2
 100   erase                                          procps 3.3.10-1
 101   erase                            python-beautifulsoup 3.2.1-1
 102   erase                                     python-cffi 1.9.1-1
 103   erase                                 python-docutils 0.13.1-2
 104   erase                                  python-imaging 4.1.1-1
 105   erase                                   python-jinja2 2.9.6-1
 106   erase                                     python-lxml 3.7.3-1
 107   erase                               python-markupsafe 0.23-2
 108   erase                                    python-numpy 1.11.2-1
 109   erase                                      python-ply 3.9-1
 110   erase                                python-pycparser 2.17-1
 111   erase                                 python-pygments 2.2.0-1
 112   erase                               python-setuptools 34.3.2-1
 113   erase                               python-simplejson 3.10.0-1
 114   erase                                   python-sphinx 1.6.5-1
 115   erase                                       ruby-json 2.0.4-1
 116   erase                                  ruby-minitest4 5.10.3-1
 117   erase                                        sitecopy 0.16.6-2
 118   erase                                      subversion 1.9.7-2
 119   erase                                           unzip 6.0-17
 120   erase                                          w32api 9999-1
 121   erase                                           whois 5.2.10-1
 122   erase                                           xclip 0.12-2
 123   erase                                      xmlstarlet 1.6.1-1
 124   erase                                           xmlto 0.0.26-1
 125   erase                                       libcares2 1.13.0-1
 126   erase                                     automake1.9 1.9.6-11
 127   erase                                    automake1.15 1.15.1-1
 128   erase                                    automake1.14 1.14.1-3
 129   erase                                    automake1.13 1.13.4-2
 130   erase                                    automake1.12 1.12.6-3
 131   erase                                    automake1.11 1.11.6-3
 132   erase                                    automake1.10 1.10.3-3
 133   erase                                     liblwres160 9.11.2-2.P1
 134   erase                                       libirs160 9.11.2-2.P1
 135   erase                                    libbind9_160 9.11.2-2.P1
 136   erase                                    libcompface0 1.5.2-12
 137   erase                                     libclang5.0 5.0.1-2
 138   erase                             xemacs-emacs-common 21.4.24-1
 139   erase                                  terminfo-extra
6.0-12.20171125
 140   erase                                        gcc-core 6.4.0-5
 141   erase                                         python3 3.6.4-1
 142   erase                                             git 2.16.1-1
 143   erase                                         libusb0 1.2.6.0-2
 144   erase                                   liblab_gamut1 2.40.1-3
 145   erase                                        libgvpr2 2.40.1-3
 146   erase                                         libgvc6 2.40.1-3
 147   erase                                    libgsl-devel 2.3-2
 148   erase                                inetutils-server 1.9.1-2
 149   erase                                  libxcb-xfixes0 1.12-2
 150   erase                                   libxcb-dri2_0 1.12-2
 151   erase                                     libxcb-glx0 1.12-2
 152   erase                                     libX11-xcb1 1.6.5-1
 153   erase                                     dri-drivers 17.3.3-1
 154   erase                                    libX11-devel 1.6.5-1
 155   erase                                      libllvm4.0 4.0.1-1
 156   erase                               libfreetype-devel 2.6.5-1
 157   erase                                     libhogweed2 2.7.1-1
 158   erase                                    libisccfg140 9.10.4-4.P4
 159   erase                                  libproxy-devel 0.4.14-2
 160   erase                                   libkrb5-devel 1.15.2-1
 161   erase                                  libiconv-devel 1.14-3
 162   erase                                   libpcre2_32_0 10.23-2
 163   erase                                 libpcre2-posix1 10.23-2
 164   erase                                    libopenjpeg1 1.5.2-3
 165   erase                                         libvpx4 1.6.1-1
 166   erase                                  libguile2.0_22 2.0.14-2
 167   erase                                perl-Authen-SASL 2.16-3
 168   erase                          perl-List-MoreUtils-XS 0.428-1
 169   erase                              perl-Exporter-Tiny 1.000000-2
 170   erase                                  perl-MailTools 2.19-1
 171   erase                                            zlib 1.2.11-1
 172   erase                                  python-chardet 2.3.0-1
 173   erase                                    python2-lxml 3.7.3-1
 174   erase                              python2-simplejson 3.10.0-1
 175   erase                                  python2-sphinx 1.6.5-1
 176   erase                                       libneon27 0.30.1-1
 177   erase                                      libserf1_0 1.3.9-1
 178   erase                                             w3m 0.5.3-3
 179   erase                                     docbook-xsl 1.77.1-1
 180   erase                                         dblatex 0.3.10-1
 181   erase                                       perl-Carp 1.38-2
 182   erase                               perl-Test-Harness 3.39-2
 183   erase                                         texinfo 6.5-2
 184   erase                                    libisccfg160 9.11.2-2.P1
 185   erase                                             rcs 5.9.4-1
 186   erase                        windows-default-manifest 6.4-1
 187   erase                                  w32api-runtime 5.0.3-1
 188   erase                                         libmpc3 1.0.3-1
 189   erase                                perl-TermReadKey 2.37-2
 190   erase                                      perl-Error 0.17025-2
 191   erase                                         openssh 7.6p1-1
 192   erase                                libpoppler-glib8 0.57.0-1
 193   erase                                    libpathplan4 2.40.1-3
 194   erase                                     libgts0.7_5 20121130-1
 195   erase                                     libgtk2.0_0 2.24.31-1
 196   erase                                      libcgraph6 2.40.1-3
 197   erase                                        libLASi1 1.1.1-2
 198   erase                                 liblapack-devel 3.7.1-1
 199   erase                                        libgsl19 2.3-2
 200   erase                                      libllvm5.0 5.0.1-1
 201   erase                                       libglapi0 17.3.3-1
 202   erase                                    libxcb-devel 1.12-2
 203   erase                                    libbz2-devel 1.0.6-3
 204   erase                                      libnettle4 2.7.1-1
 205   erase                                       libdns165 9.10.4-4.P4
 206   erase                                        libkrad0 1.15.2-1
 207   erase                               libkadm5srv_mit11 1.15.2-1
 208   erase                              libkadm5clnt_mit11 1.15.2-1
 209   erase                                libcom_err-devel 1.42.12-2
 210   erase                                     libcharset1 1.14-3
 211   erase                                    libpcre2_8_0 10.23-2
 212   erase                                        libltdl7 2.4.6-5
 213   erase                                perl-Digest-HMAC 1.03-6
 214   erase                                   perl-TimeDate 2.30-3
 215   erase                python2-sphinxcontrib-websupport 1.0.1-1
 216   erase                                       libproxy1 0.4.14-2
 217   erase                                     libaprutil1 1.6.1-1
 218   erase                           build-docbook-catalog 1.5-2
 219   erase                                        transfig 3.2.6a-1
 220   erase                    texlive-collection-mathextra 20170520-1
 221   erase                   texlive-collection-latexextra 20170520-1
 222   erase                     texlive-collection-binextra 20170520-1
 223   erase                                           biber 2.10-1
 224   erase                                     ImageMagick 6.9.9.11-3
 225   erase                                       libdns169 9.11.2-2.P1
 226   erase                                  w32api-headers 5.0.3-1
 227   erase                                    libpoppler68 0.57.0-1
 228   erase                                     libatk1.0_0 2.24.0-1
 229   erase                                      libXrandr2 1.5.1-1
 230   erase                                    libXinerama1 1.1.3-1
 231   erase                                     libXdamage1 1.1.4-1
 232   erase                                     libXcursor1 1.1.14-1
 233   erase                                  libXcomposite1 0.4.3-1
 234   erase                           gtk-update-icon-cache 3.22.20-1
 235   erase                              adwaita-icon-theme 3.24.0-1
 236   erase                                         libcdt5 2.40.1-3
 237   erase                                        libedit0 20130712-1
 238   erase                                  libXdmcp-devel 1.1.2-1
 239   erase                                    libXau-devel 1.0.8-1
 240   erase                                       libisc160 9.11.0-3.P5
 241   erase                                       libverto1 0.2.6-1
 242   erase                                       libkdb5_8 1.15.2-1
 243   erase                                  python2-xapian 1.4.5-1
 244   erase                                  python2-whoosh 2.7.4-1
 245   erase                                  python2-typing 3.6.2-1
 246   erase                              python2-sqlalchemy 1.1.15-1
 247   erase                        python2-sphinx_rtd_theme 0.2.4-1
 248   erase                         python2-snowballstemmer 1.2.1-1
 249   erase                                python2-requests 2.13.0-1
 250   erase                                  python2-jinja2 2.9.6-1
 251   erase                               python2-imagesize 0.7.1-1
 252   erase                                python2-docutils 0.13.1-2
 253   erase                                   python2-babel 2.5.1-1
 254   erase                               python2-alabaster 0.7.10-1
 255   erase                                libmysqlclient18 10.1.30-1
 256   erase                                       libiodbc2 3.52.8-2
 257   erase                                         libapr1 1.6.3-1
 258   erase                                          netpbm 10.80.00-1
 259   erase                  texlive-collection-mathscience 20170520-1
 260   erase                     texlive-collection-pictures 20170520-1
 261   erase                                   preview-latex 11.92-1
 262   erase                                        rubygems 2.6.13-1
 263   erase                                 perl-File-Which 1.22-1
 264   erase                        perl-File-Copy-Recursive 0.38-6
 265   erase clisp2.49-6.20150312hg15611
 266   erase                  texlive-collection-bibtexextra 20180105-1
 267   erase                                libMagickWand6_5 6.9.9.11-3
 268   erase                                        liblmdb0 0.9.19-1
 269   erase                                       libisc166 9.11.2-2.P1
 270   erase                                       libGeoIP1 1.6.9-1
 271   erase                                      libXfixes3 5.0.3-1
 272   erase                              hicolor-icon-theme 0.15-1
 273   erase                                     libcatgets1 1.1-2
 274   erase                                   libevent2.0_5 2.0.22-1
 275   erase                                      libgssrpc4 1.15.2-1
 276   erase                                 python2-urllib3 1.20-1
 277   erase                              python2-markupsafe 0.23-2
 278   erase                                    python2-pytz 2017.3-1
 279   erase                                    mysql-common 10.1.30-1
 280   erase                                     libnetpbm10 10.80.00-1
 281   erase             texlive-collection-fontsrecommended 20170520-1
 282   erase                                python2-pygments 2.2.0-1
 283   erase                                          tcl-tk 8.6.8-1
 284   erase                                   python2-numpy 1.11.2-1
 285   erase             texlive-collection-latexrecommended 20170520-1
 286   erase                                       ruby-rake 12.1.0-1
 287   erase                                         libsvm2 3.20-1
 288   erase                                          libpq5 9.6.7-1
 289   erase                                        libfcgi0 2.4.0-3
 290   erase                           perl-autovivification 0.18-1
 291   erase                                 perl-XML-Writer 0.625-2
 292   erase                                perl-XML-LibXSLT 1.95-3
 293   erase                          perl-XML-LibXML-Simple 0.99-1
 294   erase                          perl-Unicode-LineBreak 2017.004-2
 295   erase                            perl-Unicode-Collate 1.25-1
 296   erase                                 perl-Text-Roman 3.5-2
 297   erase                                   perl-Text-CSV 1.95-2
 298   erase                                perl-Text-BibTeX 0.85-1
 299   erase                                   perl-Sort-Key 1.33-2
 300   erase                          perl-Scalar-List-Utils 1.49-1
 301   erase                              perl-Regexp-Common 2017060201-2
 302   erase                               perl-Log-Log4perl 1.49-2
 303   erase                              perl-List-AllUtils 0.14-2
 304   erase                            perl-Lingua-Translit 0.28-1
 305   erase                         perl-LWP-Protocol-https 6.07-2
 306   erase                                   perl-IPC-Run3 0.048-3
 307   erase                                    perl-IPC-Cmd 0.98-2
 308   erase                                  perl-IO-String 1.08-6
 309   erase                               perl-File-Slurper 0.011-1
 310   erase                    perl-DateTime-Format-Builder 0.81-2
 311   erase                   perl-DateTime-Calendar-Julian 0.04-2
 312   erase                                perl-Data-Uniqid 0.12-2
 313   erase                                  perl-Data-Dump 1.23-2
 314   erase                               perl-Data-Compare 1.25-3
 315   erase                             perl-Class-Accessor 0.51-1
 316   erase                              perl-Business-ISSN 0.91-3
 317   erase                              perl-Business-ISMN 1.131-2
 318   erase                              perl-Business-ISBN 3.004-2
 319   erase                                libMagickCore6_5 6.9.9.11-3
 320   erase                                      libjson-c2 0.12-1
 321   erase                                  GeoIP-database 20171111-1
 322   erase                                 python2-openssl 16.2.0-1
 323   erase            python2-backports.ssl_match_hostname 3.5.0.1-1
 324   erase                                 python2-imaging 4.1.1-1
 325   erase                                 python2-chardet 2.3.0-1
 326   erase                                             tcl 8.6.8-1
 327   erase                                         libXss1 1.2.2-1
 328   erase                              python2-setuptools 34.3.2-1
 329   erase                                      liblapack0 3.7.1-1
 330   erase                        texlive-collection-latex 20170520-2
 331   erase                                 ruby-io-console 0.4.6-1
 332   erase                                           crypt 2.1-1
 333   erase                                         libxslt 1.1.29-1
 334   erase                                 perl-XML-LibXML 2.0132-1
 335   erase                               perl-MIME-Charset 1.012.2-2
 336   erase                               perl-List-UtilsBy 0.10-2
 337   erase                             perl-List-SomeUtils 0.56-2
 338   erase                                 perl-Mozilla-CA 20160104-2
 339   erase                              perl-IO-Socket-SSL 2.052-1
 340   erase                            perl-Params-Validate 1.29-2
 341   erase                   perl-DateTime-Format-Strptime 1.75-1
 342   erase                         perl-Class-Factory-Util 1.7-2
 343   erase                             perl-File-Find-Rule 0.34-2
 344   erase                                  perl-Tie-Cycle 1.225-2
 345   erase                         perl-Business-ISBN-Data 20140910.003-2
 346   erase                                libMagickCore6_2 6.9.5.7-2
 347   erase                                libjson-c-common 0.12-1
 348   erase                            python2-cryptography 1.8.1-1
 349   erase                                     libwebpmux3 0.6.1-1
 350   erase                                 python2-appdirs 1.4.3-1
 351   erase                                    libgfortran3 6.4.0-5
 352   erase                                         texlive 20170520-3
 353   erase                                      ruby-psych 2.2.4-1
 354   erase                                     libgcrypt20 1.7.8-1
 355   erase                                    perl-XML-SAX 0.99-6
 356   erase                          perl-List-SomeUtils-XS 0.56-1
 357   erase                                 perl-Net-SSLeay 1.82-1
 358   erase                 perl-Package-DeprecationManager 0.17-2
 359   erase                                   perl-DateTime 1.45-1
 360   erase                                  perl-Text-Glob 0.11-2
 361   erase                             perl-Number-Compare 0.03-6
 362   erase                                   libautotrace3 0.31.1-18
 363   erase                                     python2-six 1.10.0-1
 364   erase                               python2-packaging 16.8-1
 365   erase                               python2-ipaddress 1.0.18-1
 366   erase                                    python2-idna 2.5-1
 367   erase                                  python2-enum34 1.1.6-1
 368   erase                                    python2-cffi 1.9.1-1
 369   erase                              python2-asn1crypto 0.22.0-1
 370   erase                                    libquadmath0 6.4.0-5
 371   erase                        texlive-collection-basic 20170520-1
 372   erase                                            ruby 2.3.6-1
 373   erase                               perl-XML-SAX-Base 1.09-2
 374   erase                       perl-XML-NamespaceSupport 1.12-2
 375   erase                                   perl-Sub-Name 0.21-2
 376   erase                                perl-Sub-Install 0.928-3
 377   erase                                perl-Params-Util 1.07-6
 378   erase                          perl-DateTime-TimeZone 2.15-1
 379   erase                            perl-DateTime-Locale 1.17-1
 380   erase                                    libpstoedit0 3.70-2
 381   erase                               python2-pyparsing 2.1.10-1
 382   erase                               python2-pycparser 2.17-1
 383   erase                                            wget 1.19.1-2
 384   erase                                perl-libwww-perl 6.31-1
 385   erase                                         perl-Tk 804.034-1
 386   erase                                     libzzip0.13 0.13.62-1
 387   erase                                   libtexluajit2 20170520-3
 388   erase                                   libtexlua52_5 20170520-3
 389   erase                                      libteckit0 2.5.6-1
 390   erase                                     libsynctex1 20170520-3
 391   erase                                     libptexenc1 20170520-3
 392   erase                                     libpotrace0 1.14-1
 393   erase                                    libpoppler66 0.52.0-2
 394   erase                                        libicu58 58.2-1
 395   erase                                libharfbuzz-icu0 1.7.4-1
 396   erase                                          libXi6 1.7.9-1
 397   erase                                     ghostscript 9.22-3
 398   erase                                              ed 1.14.1-1
 399   erase                                          dialog 1.3-3.20170131
 400   erase                                       ruby-rdoc 5.1.0-1
 401   erase                            perl-Class-Singleton 1.5-2
 402   erase                        perl-namespace-autoclean 0.28-2
 403   erase                                     perl-Specio 0.42-1
 404   erase                  perl-Params-ValidationCompiler 0.26-1
 405   erase                              perl-File-ShareDir 1.104-2
 406   erase                                 libMagickC++6_6 6.9.5.7-2
 407   erase                                     python2-ply 3.9-1
 408   erase                                     libgnutls30 3.5.13-1
 409   erase                             perl-WWW-RobotRules 6.02-6
 410   erase                                   perl-Net-HTTP 6.17-1
 411   erase                             perl-HTTP-Negotiate 6.01-6
 412   erase                                perl-HTTP-Daemon 6.01-6
 413   erase                               perl-HTTP-Cookies 6.04-2
 414   erase                                perl-HTML-Parser 3.72-2
 415   erase                               perl-File-Listing 6.04-6
 416   erase                                     perl-Socket 2.024-3
 417   erase                                    libkpathsea6 20170520-3
 418   erase                                    libopenjp2_7 2.2.0-1
 419   erase                                         libnss3 3.30.2-1
 420   erase                                        libcurl4 7.56.1-1
 421   erase                                        libicu60 60.2-1
 422   erase                                urw-base35-fonts 20170801-4
 423   erase                                    poppler-data 0.4.8-1
 424   erase                         ghostscript-fonts-other 6.0-1
 425   erase                                     libdialog14 1.3-3.20170131
 426   erase                                   ruby-minitest 5.10.3-1
 427   erase                               ruby-did_you_mean 1.0.2-1
 428   erase                                    ruby-builder 3.2.3-1
 429   erase                                      libyaml0_2 0.1.6-2
 430   erase                            perl-namespace-clean 0.27-2
 431   erase                               perl-Sub-Identify 0.14-2
 432   erase                                 perl-Test-Fatal 0.014-3
 433   erase                                  perl-Sub-Quote 2.004000-2
 434   erase                                  perl-Role-Tiny 2.000006-1
 435   erase                                 perl-MRO-Compat 0.13-2
 436   erase                            perl-Exception-Class 1.44-1
 437   erase                               perl-Eval-Closure 0.14-2
 438   erase                            perl-Class-Inspector 1.32-2
 439   erase                                libMagickWand6_2 6.9.5.7-2
 440   erase                                     libhogweed4 3.3-1
 441   erase                               perl-HTTP-Message 6.14-1
 442   erase                                perl-HTML-Tagset 3.20-6
 443   erase                                        libnspr4 4.14-1
 444   erase                                       libssh2_1 1.7.0-1
 445   erase                                      libsasl2_3 2.1.26-11
 446   erase                                         libpsl5 0.18.0-1
 447   erase                                   libnghttp2_14 1.23.1-1
 448   erase                              perl-Package-Stash 0.37-3
 449   erase                         perl-B-Hooks-EndOfScope 0.21-2
 450   erase                           perl-Devel-StackTrace 2.03-1
 451   erase                     perl-Class-Data-Inheritable 0.08-2
 452   erase                                         libzip2 0.11.2-2
 453   erase                                        libwebp5 0.4.4-1
 454   erase                                      librsvg2_2 2.40.18-1
 455   erase                                     libplotter2 2.6-5
 456   erase                                        libming1 0.4.8-1
 457   erase                                          libgs9 9.22-3
 458   erase                                          libgd3 2.2.5-1
 459   erase                                         libfpx1 1.3.1.4-1
 460   erase                                      libfftw3_3 3.3.6-pl1-1
 461   erase                                         libEMF1 1.0.8-1
 462   erase                                      libnettle6 3.3-1
 463   erase                                        perl-URI 1.72-2
 464   erase                             perl-LWP-MediaTypes 6.02-6
 465   erase                                    perl-IO-HTML 1.001-3
 466   erase                                  perl-HTTP-Date 6.02-6
 467   erase                              perl-Encode-Locale 1.05-2
 468   erase                                libopenldap2_4_2 2.4.42-1
 469   erase                         publicsuffix-list-dafsa 20171028-1
 470   erase                                       libidn2_0 2.0.4-1
 471   erase                           perl-Package-Stash-XS 0.28-4
 472   erase                        perl-Dist-CheckConflicts 0.11-3
 473   erase                             perl-Variable-Magic 0.62-1
 474   erase                   perl-Sub-Exporter-Progressive 0.001013-2
 475   erase                      perl-Module-Implementation 0.09-2
 476   erase                                   libpango1.0_0 1.40.12-1
 477   erase                              libgdk_pixbuf2.0_0 2.36.9-1
 478   erase                                         libXaw7 1.0.13-1
 479   erase                                         libgif4 4.1.6-10
 480   erase                                       libpaper1 1.1.24-2
 481   erase                                      liblcms2_2 2.9-1
 482   erase                                        libidn11 1.33-1
 483   erase                                        libwebp7 0.6.1-1
 484   erase                                        libtiff6 4.0.9-1
 485   erase                                  libimagequant0 2.10.0-1
 486   erase                                libgssapi_krb5_2 1.15.2-1
 487   erase                                   libunistring2 0.9.8-1
 488   erase                                   perl-Try-Tiny 0.28-2
 489   erase                             perl-Module-Runtime 0.016-1
 490   erase                                        libthai0 0.1.26-1
 491   erase                                    libharfbuzz0 1.7.4-1
 492   erase                                       libcairo2 1.14.10-1
 493   erase                                         libXft2 2.3.2-1
 494   erase                                      libjasper4 2.0.14-1
 495   erase                                         libXpm4 3.5.12-1
 496   erase                                         libXmu6 1.1.2-1
 497   erase                                 libpaper-common 1.1.24-2
 498   erase                                        libjbig2 2.0-14
 499   erase                                       libkrb5_3 1.15.2-1
 500   erase                                      libdatrie1 0.2.8-1
 501   erase                                  libgraphite2_3 1.3.10-1
 502   erase                                     libxcb-shm0 1.12-2
 503   erase                                  libxcb-render0 1.12-2
 504   erase                                    libpixman1_0 0.34.0-1
 505   erase                                       liblzo2_2 2.10-1
 506   erase                                  libfontconfig1 2.12.4-1
 507   erase                                     libXrender1 0.9.9-1
 508   erase                                        libjpeg8 1.5.3-1
 509   erase                                          libXt6 1.1.5-1
 510   erase                                        libXext6 1.3.3-1
 511   erase                                    libk5crypto3 1.15.2-1
 512   erase                                     libcom_err2 1.42.12-2
 513   erase                                    libfreetype6 2.6.5-1
 514   erase                            libfontconfig-common 2.12.4-1
 515   erase                                    dejavu-fonts 2.37-1
 516   erase                                          libSM6 1.2.2-1
 517   erase                                        libX11_6 1.6.5-1
 518   erase                                 libkrb5support0 1.15.2-1
 519   erase                                         libICE6 1.0.9-1
 520   erase                                         libxcb1 1.12-2
 521   erase                                       libXdmcp6 1.1.2-1
 522   erase                                         libXau6 1.0.8-1
 523 install                                      base-files 4.2-4
 524   erase                                      base-files 4.3-2
 525 install                                           ocaml 4.02.3-2
 526   erase                                           ocaml 4.04.2-1
Problem 1/97
package alternatives-1.3.30c-10 requires libiconv2, but none of the
providers can be installed
Solution 1/2
  - do not ask to deinstall libiconv2-1.14-3
Solution 2/2 (default)
  - do not ask to lock alternatives-1.3.30c-10
  - do not ask to lock dos2unix-7.4.0-1
  - do not ask to lock libiconv-1.14-3
  - do not ask to lock psmisc-22.16-1
  - do not ask to lock rsync-3.1.2-1
  - do not ask to lock vim-minimal-8.0.1486-1
  - do not ask to lock sed-4.4-1
  - do not ask to lock pinfo-0.6.10-1
  - do not ask to lock libintl-devel-0.19.8.1-2
  - do not ask to lock info-6.5-2
  - do not ask to lock findutils-4.6.0-1
  - allow deinstallation of vim-minimal-8.0.1486-1
  - allow deinstallation of rsync-3.1.2-1
  - allow deinstallation of psmisc-22.16-1
  - allow deinstallation of libiconv-1.14-3
  - allow deinstallation of lftp-4.7.8-2
  - do not ask to lock rebase-4.4.4-1
  - allow deinstallation of grep-3.0-2
  - allow deinstallation of dos2unix-7.4.0-1
  - allow deinstallation of diffutils-3.5-2
  - do not ask to install base-files-4.2-4
  - do not ask to lock flexdll-0.35-2
  - do not ask to lock gzip-1.8-1
  - allow deinstallation of bash-4.4.12-3
  - do not ask to lock unison2.27-2.27.157-4
  - do not ask to lock unison2.32-2.32.52-4
  - do not ask to lock unison2.40-2.40.128-1
  - do not ask to lock unison2.45-2.45.28-1
  - do not ask to lock unison2.48-2.48.4-1
  - do not ask to lock unison2.49-2.49.543-1
  - do not ask to lock unison2.51-2.51.2-1
  - allow deinstallation of alternatives-1.3.30c-10
  - allow deinstallation of sed-4.4-1
  - allow deinstallation of pinfo-0.6.10-1
  - allow deinstallation of libintl-devel-0.19.8.1-2
  - allow deinstallation of info-6.5-2
  - allow deinstallation of help2man-1.47.4-1
  - allow deinstallation of findutils-4.6.0-1
  - allow deinstallation of procps-ng-3.3.12-2
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of p7zip-15.14.1-1
  - allow deinstallation of rebase-4.4.4-1
  - allow deinstallation of base-files-4.3-2
  - allow deinstallation of gzip-1.8-1
  - allow deinstallation of flexdll-0.35-2
  - allow deinstallation of autoconf-13-1
  - allow deinstallation of unison2.51-2.51.2-1
  - allow deinstallation of unison2.49-2.49.543-1
  - allow deinstallation of unison2.48-2.48.4-1
  - allow deinstallation of unison2.45-2.45.28-1
  - allow deinstallation of unison2.40-2.40.128-1
  - allow deinstallation of unison2.32-2.32.52-4
  - allow deinstallation of unison2.27-2.27.157-4
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of links-2.8-2
  - allow deinstallation of stunnel-5.44-1
Problem 2/97
package autoconf-13-1 requires autoconf2.1, but none of the providers can
be installed
Solution 1/2
  - do not ask to deinstall autoconf2.1-2.13-12
Solution 2/2 (default)
  - do not ask to lock autoconf-13-1
  - allow deinstallation of autoconf-13-1
Problem 3/97
package automake-10-1 requires automake1.10, but none of the providers can
be installed
Solution 1/2
  - do not ask to deinstall automake1.10-1.10.3-3
  - do not ask to deinstall automake1.12-1.12.6-3
  - do not ask to deinstall automake1.13-1.13.4-2
  - do not ask to deinstall automake1.14-1.14.1-3
  - do not ask to deinstall automake1.15-1.15.1-1
  - do not ask to deinstall automake1.9-1.9.6-11
Solution 2/2 (default)
  - do not ask to lock automake-10-1
Problem 4/97
package bash-4.4.12-3 requires libgcc1, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libgcc1-6.4.0-5
Solution 2/2 (default)
  - do not ask to lock bash-4.4.12-3
  - do not ask to lock dos2unix-7.4.0-1
  - do not ask to lock findutils-4.6.0-1
  - do not ask to lock flexdll-0.35-2
  - do not ask to lock gzip-1.8-1
  - do not ask to lock patch-2.7.4-1
  - do not ask to lock unison2.40-2.40.128-1
  - do not ask to lock unison2.48-2.48.4-1
  - do not ask to lock unison2.49-2.49.543-1
  - do not ask to lock unison2.51-2.51.2-1
  - do not ask to lock vim-minimal-8.0.1486-1
  - do not ask to lock zip-3.0-12
  - allow deinstallation of m4-1.4.18-1
  - allow replacement of ocaml-camlp4-4.04+1-2 with ocaml-camlp4-4.01.0-1
  - allow deinstallation of p7zip-15.14.1-1
  - allow deinstallation of par2-0.8.0-1
  - do not ask to lock screen-4.6.2-1
  - allow deinstallation of procps-ng-3.3.12-2
  - allow deinstallation of zip-3.0-12
  - allow deinstallation of vim-minimal-8.0.1486-1
  - allow deinstallation of unison2.51-2.51.2-1
  - allow deinstallation of unison2.49-2.49.543-1
  - allow deinstallation of unison2.48-2.48.4-1
  - allow replacement of unison2.40-2.40.128-1 with unison2.40-2.40.102-1
  - allow deinstallation of patch-2.7.4-1
  - allow deinstallation of lftp-4.7.8-2
  - do not ask to lock rebase-4.4.4-1
  - allow deinstallation of gzip-1.8-1
  - allow deinstallation of grep-3.0-2
  - allow deinstallation of flexdll-0.35-2
  - do not ask to install base-files-4.2-4
  - allow deinstallation of findutils-4.6.0-1
  - allow deinstallation of file-5.30-1
  - allow deinstallation of dos2unix-7.4.0-1
  - allow deinstallation of diffutils-3.5-2
  - allow deinstallation of bash-4.4.12-3
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of screen-4.6.2-1
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of help2man-1.47.4-1
  - allow deinstallation of links-2.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of stow-2.2.2-2
  - allow deinstallation of rebase-4.4.4-1
  - allow deinstallation of autoconf-13-1
  - allow deinstallation of base-files-4.3-2
  - allow deinstallation of bzr-2.7.0-1
Problem 5/97
package bind-utils-9.11.2-2.P1 requires libbind9_160, but none of the
providers can be installed
Solution 1/2
  - do not ask to deinstall libbind9_160-9.11.2-2.P1
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libidn11-1.33-1
  - do not ask to deinstall libirs160-9.11.2-2.P1
  - do not ask to deinstall libisc166-9.11.2-2.P1
  - do not ask to deinstall libisccfg160-9.11.2-2.P1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall liblwres160-9.11.2-2.P1
  - do not ask to deinstall libGeoIP1-1.6.9-1
  - do not ask to deinstall libkrb5support0-1.15.2-1
  - do not ask to deinstall liblmdb0-0.9.19-1
Solution 2/2 (default)
  - do not ask to lock bind-utils-9.11.2-2.P1
Problem 6/97
package gcc-core-6.4.0-5 requires binutils, but none of the providers can
be installed
Solution 1/2
  - do not ask to lock gcc-core-6.4.0-5
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall binutils-2.29-1
  - do not ask to deinstall libmpc3-1.0.3-1
  - do not ask to deinstall libquadmath0-6.4.0-5
  - do not ask to deinstall w32api-headers-5.0.3-1
  - do not ask to deinstall w32api-runtime-5.0.3-1
  - do not ask to deinstall windows-default-manifest-6.4-1
Problem 7/97
package tar-1.29-1 requires bzip2, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock tar-1.29-1
Solution 2/2 (default)
  - do not ask to deinstall bzip2-1.0.6-3
Problem 8/97
package bzr-2.7.0-1 requires python, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall python-2.7.14-1
Solution 2/2 (default)
  - do not ask to lock bzr-2.7.0-1
  - allow deinstallation of bzr-2.7.0-1
Problem 9/97
package libopenssl100-1.0.2n-1 requires ca-certificates, but none of the
providers can be installed
Solution 1/2
  - do not ask to lock libopenssl100-1.0.2n-1
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of links-2.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall ca-certificates-2.16-1
Problem 10/97
package coreutils-8.26-2 requires libattr1, but none of the providers can
be installed
Solution 1/2
  - do not ask to deinstall libattr1-2.4.46-1
Solution 2/2 (default)
  - do not ask to lock coreutils-8.26-2
  - do not ask to lock patch-2.7.4-1
  - allow deinstallation of patch-2.7.4-1
  - do not ask to install base-files-4.2-4
  - do not ask to lock findutils-4.6.0-1
  - do not ask to lock rebase-4.4.4-1
  - allow deinstallation of patchutils-0.3.4-1
  - do not ask to lock gzip-1.8-1
  - do not ask to lock flexdll-0.35-2
  - allow deinstallation of bash-4.4.12-3
  - allow deinstallation of rebase-4.4.4-1
  - allow deinstallation of findutils-4.6.0-1
  - allow deinstallation of base-files-4.3-2
  - allow deinstallation of autoconf-13-1
  - allow deinstallation of gzip-1.8-1
  - allow deinstallation of flexdll-0.35-2
  - allow deinstallation of grep-3.0-2
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of p7zip-15.14.1-1
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of links-2.8-2
  - allow deinstallation of stunnel-5.44-1
Problem 11/97
package openssh-7.6p1-1 requires csih, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock openssh-7.6p1-1
Solution 2/2 (default)
  - do not ask to deinstall csih-0.9.9-1
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libcom_err2-1.42.12-2
  - do not ask to deinstall libk5crypto3-1.15.2-1
  - do not ask to deinstall libkrb5support0-1.15.2-1
Problem 12/97
package robodoc-4.99.43-1 requires ctags, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock robodoc-4.99.43-1
  - allow deinstallation of robodoc-4.99.43-1
Solution 2/2 (default)
  - do not ask to deinstall ctags-5.8-1
Problem 13/97
package curl-7.56.1-1 requires libcurl4, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libcurl4-7.56.1-1
  - do not ask to deinstall libpsl5-0.18.0-1
  - do not ask to deinstall libssh2_1-1.7.0-1
  - do not ask to deinstall libcom_err2-1.42.12-2
  - do not ask to deinstall libk5crypto3-1.15.2-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libsasl2_3-2.1.26-11
Solution 2/2 (default)
  - do not ask to lock curl-7.56.1-1
Problem 14/97
package cygport-0.30.1-1 requires autoconf, but none of the providers can
be installed
Solution 1/2
  - do not ask to install cygport-0.30.1-1
  - allow deinstallation of autoconf-13-1
Solution 2/2 (default)
  - do not ask to deinstall autoconf2.5-2.69-3
  - do not ask to deinstall automake1.12-1.12.6-3
  - do not ask to deinstall automake1.13-1.13.4-2
  - do not ask to deinstall automake1.14-1.14.1-3
  - do not ask to deinstall automake1.15-1.15.1-1
  - do not ask to deinstall diffstat-1.61-1
  - do not ask to deinstall libtool-2.4.6-5
  - do not ask to deinstall perl-Authen-SASL-2.16-3
  - do not ask to deinstall perl-MIME-tools-5.508-2
  - do not ask to deinstall perl-Net-SMTP-SSL-1.04-2
  - do not ask to deinstall texinfo-6.5-2
  - do not ask to deinstall unzip-6.0-17
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libquadmath0-6.4.0-5
  - do not ask to deinstall w32api-headers-5.0.3-1
  - do not ask to deinstall w32api-runtime-5.0.3-1
  - do not ask to deinstall windows-default-manifest-6.4-1
  - do not ask to deinstall libkrb5support0-1.15.2-1
  - do not ask to deinstall libunistring2-0.9.8-1
Problem 15/97
package cygutils-1.4.16-2 requires libpopt0, but none of the providers can
be installed
Solution 1/2
  - do not ask to deinstall libpopt0-1.16-2
Solution 2/2 (default)
  - do not ask to lock cygutils-1.4.16-2
Problem 16/97
package diffutils-3.5-2 requires libintl8, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libintl8-0.19.8.1-2
Solution 2/2 (default)
  - do not ask to lock diffutils-3.5-2
  - do not ask to lock dos2unix-7.4.0-1
  - do not ask to lock findutils-4.6.0-1
  - do not ask to lock info-6.5-2
  - do not ask to lock libiconv-1.14-3
  - do not ask to lock libintl-devel-0.19.8.1-2
  - do not ask to lock pinfo-0.6.10-1
  - do not ask to lock psmisc-22.16-1
  - do not ask to lock sed-4.4-1
  - do not ask to lock rebase-4.4.4-1
  - allow deinstallation of procps-ng-3.3.12-2
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of help2man-1.47.4-1
  - allow deinstallation of grep-3.0-2
  - allow deinstallation of diffutils-3.5-2
  - do not ask to install base-files-4.2-4
  - do not ask to lock flexdll-0.35-2
  - do not ask to lock gzip-1.8-1
  - allow deinstallation of bash-4.4.12-3
  - do not ask to lock unison2.27-2.27.157-4
  - do not ask to lock unison2.32-2.32.52-4
  - do not ask to lock unison2.40-2.40.128-1
  - do not ask to lock unison2.45-2.45.28-1
  - do not ask to lock unison2.48-2.48.4-1
  - do not ask to lock unison2.49-2.49.543-1
  - do not ask to lock unison2.51-2.51.2-1
  - allow deinstallation of alternatives-1.3.30c-10
  - allow deinstallation of sed-4.4-1
  - allow deinstallation of psmisc-22.16-1
  - allow deinstallation of pinfo-0.6.10-1
  - allow deinstallation of libintl-devel-0.19.8.1-2
  - allow deinstallation of libiconv-1.14-3
  - allow deinstallation of info-6.5-2
  - allow deinstallation of findutils-4.6.0-1
  - allow deinstallation of dos2unix-7.4.0-1
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of autoconf-13-1
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of p7zip-15.14.1-1
  - allow deinstallation of rebase-4.4.4-1
  - allow deinstallation of base-files-4.3-2
  - allow deinstallation of gzip-1.8-1
  - allow deinstallation of flexdll-0.35-2
  - allow deinstallation of unison2.51-2.51.2-1
  - allow deinstallation of unison2.49-2.49.543-1
  - allow deinstallation of unison2.48-2.48.4-1
  - allow deinstallation of unison2.45-2.45.28-1
  - allow deinstallation of unison2.40-2.40.128-1
  - allow deinstallation of unison2.32-2.32.52-4
  - allow deinstallation of unison2.27-2.27.157-4
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of links-2.8-2
  - allow deinstallation of stunnel-5.44-1
Problem 17/97
package doxygen-1.8.14-2 requires libclang5.0, but none of the providers
can be installed
Solution 1/2
  - do not ask to deinstall libclang5.0-5.0.1-2
Solution 2/2 (default)
  - do not ask to lock doxygen-1.8.14-2
Problem 18/97
package emacs-25.3-1 requires libdbus1_3, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libdbus1_3-1.10.22-1
  - do not ask to deinstall terminfo-extra-6.0-12.20171125
  - do not ask to deinstall xemacs-emacs-common-21.4.24-1
  - do not ask to deinstall libhogweed4-3.3-1
  - do not ask to deinstall libunistring2-0.9.8-1
Solution 2/2 (default)
  - do not ask to lock emacs-25.3-1
Problem 19/97
package file-5.30-1 requires zlib0, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall zlib0-1.2.11-1
Solution 2/2 (default)
  - do not ask to lock file-5.30-1
  - allow deinstallation of links-2.8-2
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of file-5.30-1
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of bzr-2.7.0-1
Problem 20/97
package fish-2.7.0-1 requires libncursesw10, but none of the providers can
be installed
Solution 1/2
  - do not ask to deinstall libncursesw10-6.0-12.20171125
Solution 2/2 (default)
  - do not ask to lock fish-2.7.0-1
  - do not ask to lock info-6.5-2
  - do not ask to lock libreadline7-7.0.3-3
  - do not ask to lock multitail-6.4.2-1
  - do not ask to lock ncurses-6.0-12.20171125
  - do not ask to lock pinfo-0.6.10-1
  - do not ask to lock psmisc-22.16-1
  - do not ask to lock screen-4.6.2-1
  - do not ask to lock vim-minimal-8.0.1486-1
  - allow deinstallation of procps-ng-3.3.12-2
  - allow deinstallation of vim-minimal-8.0.1486-1
  - allow deinstallation of screen-4.6.2-1
  - allow deinstallation of psmisc-22.16-1
  - allow deinstallation of pinfo-0.6.10-1
  - allow deinstallation of ncurses-6.0-12.20171125
  - allow deinstallation of multitail-6.4.2-1
  - do not ask to lock bc-1.06.95-2
  - do not ask to lock libreadline-devel-7.0.3-3
  - allow deinstallation of libreadline7-7.0.3-3
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of info-6.5-2
  - do not ask to lock gzip-1.8-1
  - do not ask to lock flexdll-0.35-2
  - do not ask to lock findutils-4.6.0-1
  - do not ask to install base-files-4.2-4
  - allow deinstallation of bash-4.4.12-3
  - do not ask to lock readline-7.0.3-3
  - allow deinstallation of libreadline-devel-7.0.3-3
  - allow deinstallation of bc-1.06.95-2
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of base-files-4.3-2
  - do not ask to lock rebase-4.4.4-1
  - allow deinstallation of gzip-1.8-1
  - allow deinstallation of flexdll-0.35-2
  - allow deinstallation of findutils-4.6.0-1
  - allow deinstallation of autoconf-13-1
  - allow deinstallation of grep-3.0-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of p7zip-15.14.1-1
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of readline-7.0.3-3
  - allow deinstallation of rebase-4.4.4-1
  - allow deinstallation of links-2.8-2
  - allow deinstallation of stunnel-5.44-1
Problem 21/97
package gawk-4.2.0-1 requires libgmp10, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libgmp10-6.1.2-1
Solution 2/2 (default)
  - do not ask to lock gawk-4.2.0-1
  - do not ask to install base-files-4.2-4
  - do not ask to lock findutils-4.6.0-1
  - do not ask to lock rebase-4.4.4-1
  - do not ask to lock gzip-1.8-1
  - do not ask to lock flexdll-0.35-2
  - allow deinstallation of bash-4.4.12-3
  - allow deinstallation of rebase-4.4.4-1
  - allow deinstallation of findutils-4.6.0-1
  - allow deinstallation of base-files-4.3-2
  - allow deinstallation of autoconf-13-1
  - allow deinstallation of gzip-1.8-1
  - allow deinstallation of flexdll-0.35-2
  - allow deinstallation of grep-3.0-2
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of p7zip-15.14.1-1
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of links-2.8-2
  - allow deinstallation of stunnel-5.44-1
Problem 22/97
package gcc-g++-6.4.0-5 requires gcc-core, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock gcc-g++-6.4.0-5
Solution 2/2 (default)
  - do not ask to deinstall cygwin-devel-2.10.0-1
  - do not ask to deinstall libmpc3-1.0.3-1
  - do not ask to deinstall w32api-headers-5.0.3-1
  - do not ask to deinstall w32api-runtime-5.0.3-1
  - do not ask to deinstall windows-default-manifest-6.4-1
Problem 23/97
package gettext-devel-0.19.8.1-2 requires gettext, but none of the
providers can be installed
Solution 1/2
  - do not ask to lock gettext-devel-0.19.8.1-2
Solution 2/2 (default)
  - do not ask to deinstall gettext-0.19.8.1-2
  - do not ask to deinstall libunistring2-0.9.8-1
  - do not ask to deinstall python3-3.6.4-1
  - do not ask to deinstall perl-Error-0.17025-2
  - do not ask to deinstall perl-TermReadKey-2.37-2
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libnghttp2_14-1.23.1-1
  - do not ask to deinstall libopenldap2_4_2-2.4.42-1
  - do not ask to deinstall libpsl5-0.18.0-1
  - do not ask to deinstall libssh2_1-1.7.0-1
Problem 24/97
package git-2.16.2-1 requires less, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall less-487-1
  - do not ask to deinstall perl-Error-0.17025-2
  - do not ask to deinstall perl-TermReadKey-2.37-2
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libnghttp2_14-1.23.1-1
  - do not ask to deinstall libopenldap2_4_2-2.4.42-1
  - do not ask to deinstall libpsl5-0.18.0-1
  - do not ask to deinstall libssh2_1-1.7.0-1
  - do not ask to deinstall libkrb5support0-1.15.2-1
Solution 2/2 (default)
  - do not ask to install git-2.16.2-1
  - allow deinstallation of git-2.16.1-1
Problem 25/97
package gnupg2-2.2.4-1 requires libbz2_1, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libbz2_1-1.0.6-3
  - do not ask to deinstall libgcrypt20-1.7.8-1
  - do not ask to deinstall libopenldap2_4_2-2.4.42-1
  - do not ask to deinstall libhogweed4-3.3-1
  - do not ask to deinstall libunistring2-0.9.8-1
  - do not ask to deinstall libcom_err2-1.42.12-2
  - do not ask to deinstall libk5crypto3-1.15.2-1
Solution 2/2 (default)
  - do not ask to install gnupg2-2.2.4-1
  - do not ask to lock zip-3.0-12
  - allow deinstallation of links-2.8-2
  - allow deinstallation of zip-3.0-12
  - allow deinstallation of bzr-2.7.0-1
Problem 26/97
package grep-3.0-2 requires libpcre1, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libpcre1-8.40-3
Solution 2/2 (default)
  - do not ask to lock grep-3.0-2
  - do not ask to lock rebase-4.4.4-1
  - allow deinstallation of grep-3.0-2
  - allow deinstallation of rebase-4.4.4-1
Problem 27/97
package man-db-2.7.6.1-1 requires groff, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock man-db-2.7.6.1-1
Solution 2/2 (default)
  - do not ask to deinstall groff-1.22.3-1
Problem 28/97
package gsl-devel-2.3-2 requires libgsl-devel, but none of the providers
can be installed
Solution 1/2
  - do not ask to deinstall libgsl-devel-2.3-2
Solution 2/2 (default)
  - do not ask to lock gsl-devel-2.3-2
Problem 29/97
package help2man-1.47.4-1 requires perl-gettext, but none of the providers
can be installed
Solution 1/2
  - do not ask to deinstall perl-gettext-1.07-2
Solution 2/2 (default)
  - do not ask to lock help2man-1.47.4-1
  - allow deinstallation of help2man-1.47.4-1
Problem 30/97
package libX11-devel-1.6.5-1 requires kbproto, but none of the providers
can be installed
Solution 1/2
  - do not ask to lock libX11-devel-1.6.5-1
Solution 2/2 (default)
  - do not ask to deinstall kbproto-1.0.7-1
  - do not ask to deinstall libXdmcp-devel-1.1.2-1
  - do not ask to deinstall libXau6-1.0.8-1
Problem 31/97
package lftp-4.7.8-2 requires libexpat1, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall libexpat1-2.2.3-1
Solution 2/2 (default)
  - do not ask to lock lftp-4.7.8-2
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of bzr-2.7.0-1
Problem 32/97
package ocaml-4.04.2-1 requires libX11_6, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock ocaml-4.04.2-1
Solution 2/2 (default)
  - do not ask to deinstall libX11_6-1.6.5-1
  - do not ask to deinstall libXau6-1.0.8-1
  - do not ask to deinstall libXdmcp-devel-1.1.2-1
Problem 33/97
package util-linux-2.25.2-2 requires libblkid1, but none of the providers
can be installed
Solution 1/2
  - do not ask to lock util-linux-2.25.2-2
Solution 2/2 (default)
  - do not ask to deinstall libblkid1-2.25.2-2
Problem 34/97
package libneon-devel-0.30.1-1 requires libcom_err-devel, but none of the
providers can be installed
Solution 1/2
  - do not ask to lock libneon-devel-0.30.1-1
Solution 2/2 (default)
  - do not ask to deinstall libcom_err-devel-1.42.12-2
  - do not ask to deinstall libiconv-devel-1.14-3
  - do not ask to deinstall libkrb5-devel-1.15.2-1
  - do not ask to deinstall libcom_err2-1.42.12-2
  - do not ask to deinstall libcharset1-1.14-3
  - do not ask to deinstall libgssrpc4-1.15.2-1
  - do not ask to deinstall libk5crypto3-1.15.2-1
  - do not ask to deinstall libkdb5_8-1.15.2-1
  - do not ask to deinstall libkrad0-1.15.2-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libkrb5support0-1.15.2-1
  - do not ask to deinstall libproxy-devel-0.4.14-2
Problem 35/97
package libcrypt-devel-2.1-1 requires libcrypt0, but none of the providers
can be installed
Solution 1/2
  - do not ask to deinstall libcrypt0-2.1-1
Solution 2/2 (default)
  - do not ask to lock libcrypt-devel-2.1-1
  - do not ask to lock screen-4.6.2-1
  - allow deinstallation of screen-4.6.2-1
  - allow replacement of libcrypt-devel-2.1-1 with libcrypt-devel-1.4-1
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of help2man-1.47.4-1
  - allow deinstallation of stow-2.2.2-2
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of autoconf-13-1
  - allow deinstallation of bzr-2.7.0-1
Problem 36/97
package perl-5.26.1-1 requires libdb5.3, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock perl-5.26.1-1
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of autoconf-13-1
Solution 2/2 (default)
  - do not ask to deinstall libdb5.3-5.3.28-2
Problem 37/97
package libgd-devel-2.2.5-1 requires libgd3, but none of the providers can
be installed
Solution 1/2
  - do not ask to deinstall libgd3-2.2.5-1
  - do not ask to deinstall libfontconfig1-2.12.4-1
  - do not ask to deinstall libfreetype6-2.6.5-1
  - do not ask to deinstall libtiff6-4.0.9-1
  - do not ask to deinstall libXau6-1.0.8-1
  - do not ask to deinstall libXdmcp6-1.1.2-1
Solution 2/2 (default)
  - do not ask to lock libgd-devel-2.2.5-1
Problem 38/97
package pkg-config-0.29.1-1 requires libglib2.0_0, but none of the
providers can be installed
Solution 1/2
  - do not ask to lock pkg-config-0.29.1-1
Solution 2/2 (default)
  - do not ask to deinstall libglib2.0_0-2.52.3-1
Problem 39/97
package wget-1.19.1-2 requires libgnutls30, but none of the providers can
be installed
Solution 1/2
  - do not ask to lock wget-1.19.1-2
Solution 2/2 (default)
  - do not ask to deinstall libgnutls30-3.5.13-1
  - do not ask to deinstall libnettle6-3.3-1
  - do not ask to deinstall libpsl5-0.18.0-1
  - do not ask to deinstall libhogweed4-3.3-1
  - do not ask to deinstall libunistring2-0.9.8-1
Problem 40/97
package par2-0.8.0-1 requires libgomp1, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock par2-0.8.0-1
  - allow deinstallation of par2-0.8.0-1
Solution 2/2 (default)
  - do not ask to deinstall libgomp1-6.4.0-5
Problem 41/97
package pinentry-1.0.0-2 requires libgpg-error0, but none of the providers
can be installed
Solution 1/2
  - do not ask to install pinentry-1.0.0-2
Solution 2/2 (default)
  - do not ask to deinstall libgpg-error0-1.27-1
Problem 42/97
package orpie-1.5.2-3 requires libgsl19, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock orpie-1.5.2-3
Solution 2/2 (default)
  - do not ask to deinstall libgsl19-2.3-2
  - do not ask to deinstall libgfortran3-6.4.0-5
Problem 43/97
package make-4.2.1-2 requires libguile2.0_22, but none of the providers can
be installed
Solution 1/2
  - do not ask to lock make-4.2.1-2
Solution 2/2 (default)
  - do not ask to deinstall libguile2.0_22-2.0.14-2
  - do not ask to deinstall libltdl7-2.4.6-5
  - do not ask to deinstall libunistring2-0.9.8-1
Problem 44/97
package links-2.8-2 requires liblzma5, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock links-2.8-2
  - allow deinstallation of links-2.8-2
Solution 2/2 (default)
  - do not ask to deinstall liblzma5-5.2.3-1
Problem 45/97
package libncurses-devel-6.0-12.20171125 requires libncurses++w10, but none
of the providers can be installed
Solution 1/2
  - do not ask to lock libncurses-devel-6.0-12.20171125
Solution 2/2 (default)
  - do not ask to deinstall libncurses++w10-6.0-12.20171125
Problem 46/97
package sitecopy-0.16.6-2 requires libneon27, but none of the providers can
be installed
Solution 1/2
  - do not ask to lock sitecopy-0.16.6-2
Solution 2/2 (default)
  - do not ask to deinstall libneon27-0.30.1-1
  - do not ask to deinstall libproxy1-0.4.14-2
  - do not ask to deinstall libcom_err2-1.42.12-2
  - do not ask to deinstall libk5crypto3-1.15.2-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
Problem 47/97
package libpcre2-devel-10.23-2 requires libpcre2-posix1, but none of the
providers can be installed
Solution 1/2
  - do not ask to deinstall libpcre2-posix1-10.23-2
  - do not ask to deinstall libpcre2_32_0-10.23-2
  - do not ask to deinstall libpcre2_8_0-10.23-2
Solution 2/2 (default)
  - do not ask to lock libpcre2-devel-10.23-2
Problem 48/97
package libpng-devel-1.6.34-1 requires libpng16-devel, but none of the
providers can be installed
Solution 1/2
  - do not ask to deinstall libpng16-devel-1.6.34-1
Solution 2/2 (default)
  - do not ask to lock libpng-devel-1.6.34-1
Problem 49/97
package sng-1.1.0-1 requires libpng16, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock sng-1.1.0-1
Solution 2/2 (default)
  - do not ask to deinstall libpng16-1.6.34-1
Problem 50/97
package procps-ng-3.3.12-2 requires libprocps-ng6, but none of the
providers can be installed
Solution 1/2
  - do not ask to lock procps-ng-3.3.12-2
  - allow replacement of procps-ng-3.3.12-2 with procps-ng-3.3.11-1
Solution 2/2 (default)
  - do not ask to deinstall libprocps-ng6-3.3.12-2
Problem 51/97
package m4-1.4.18-1 requires libsigsegv2, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock m4-1.4.18-1
  - allow deinstallation of m4-1.4.18-1
  - allow deinstallation of diffutils-3.5-2
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of autoconf-13-1
Solution 2/2 (default)
  - do not ask to deinstall libsigsegv2-2.10-2
Problem 52/97
package stunnel-5.44-1 requires libssp0, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock stunnel-5.44-1
  - do not ask to lock psmisc-22.16-1
  - do not ask to lock screen-4.6.2-1
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of psmisc-22.16-1
  - allow deinstallation of screen-4.6.2-1
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of help2man-1.47.4-1
  - allow deinstallation of stow-2.2.2-2
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of autoconf-13-1
Solution 2/2 (default)
  - do not ask to deinstall libssp0-6.4.0-4
Problem 53/97
package p7zip-15.14.1-1 requires libstdc++6, but none of the providers can
be installed
Solution 1/2
  - do not ask to lock p7zip-15.14.1-1
  - allow deinstallation of p7zip-15.14.1-1
  - allow deinstallation of par2-0.8.0-1
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of autoconf-13-1
Solution 2/2 (default)
  - do not ask to deinstall libstdc++6-6.4.0-5
Problem 54/97
package libwrap-devel-7.6-22 requires libwrap0, but none of the providers
can be installed
Solution 1/2
  - do not ask to deinstall libwrap0-7.6-22
Solution 2/2 (default)
  - do not ask to lock libwrap-devel-7.6-22
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of libwrap-devel-7.6-22
Problem 55/97
package patchutils-0.3.4-1 requires perl_base, but none of the providers
can be installed
Solution 1/2
  - do not ask to deinstall perl_base-5.26.1-1
Solution 2/2 (default)
  - do not ask to lock patchutils-0.3.4-1
  - do not ask to lock screen-4.6.2-1
  - allow deinstallation of stow-2.2.2-2
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of patchutils-0.3.4-1
  - allow deinstallation of help2man-1.47.4-1
  - allow deinstallation of screen-4.6.2-1
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of autoconf-13-1
Problem 56/97
package stow-2.2.2-2 requires perl-Stow, but none of the providers can be
installed
Solution 1/2
  - do not ask to lock stow-2.2.2-2
  - allow deinstallation of stow-2.2.2-2
Solution 2/2 (default)
  - do not ask to deinstall perl-Stow-2.2.2-2
Problem 57/97
package automake-10-1 requires automake1.11, but none of the providers can
be installed
Solution 1/2
  - allow deinstallation of automake-10-1
Solution 2/2 (default)
  - do not ask to deinstall automake1.11-1.11.6-3
  - do not ask to deinstall automake1.12-1.12.6-3
  - do not ask to deinstall automake1.13-1.13.4-2
  - do not ask to deinstall automake1.14-1.14.1-3
  - do not ask to deinstall automake1.15-1.15.1-1
  - do not ask to deinstall automake1.9-1.9.6-11
Problem 58/97
package openssh-7.6p1-1 requires cygrunsrv, but none of the providers can
be installed
Solution 1/2
  - allow deinstallation of openssh-7.6p1-1
Solution 2/2 (default)
  - do not ask to deinstall cygrunsrv-1.62-1
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libkrb5support0-1.15.2-1
Problem 59/97
package gcc-core-6.4.0-5 requires libatomic1, but none of the providers can
be installed
Solution 1/2
  - allow deinstallation of gcc-core-6.4.0-5
Solution 2/2 (default)
  - do not ask to deinstall libatomic1-6.4.0-5
  - do not ask to deinstall libmpc3-1.0.3-1
  - do not ask to deinstall libquadmath0-6.4.0-5
  - do not ask to deinstall w32api-headers-5.0.3-1
  - do not ask to deinstall w32api-runtime-5.0.3-1
  - do not ask to deinstall windows-default-manifest-6.4-1
Problem 60/97
package gettext-devel-0.19.8.1-2 requires libcroco0.6_3, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of gettext-devel-0.19.8.1-2
Solution 2/2 (default)
  - do not ask to deinstall libcroco0.6_3-0.6.12-1
  - do not ask to deinstall libunistring2-0.9.8-1
  - do not ask to deinstall python3-3.6.4-1
  - do not ask to deinstall perl-Error-0.17025-2
  - do not ask to deinstall perl-TermReadKey-2.37-2
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall libnghttp2_14-1.23.1-1
  - do not ask to deinstall libopenldap2_4_2-2.4.42-1
  - do not ask to deinstall libpsl5-0.18.0-1
  - do not ask to deinstall libssh2_1-1.7.0-1
Problem 61/97
package bind-utils-9.11.2-2.P1 requires libdns169, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of bind-utils-9.11.2-2.P1
Solution 2/2 (default)
  - do not ask to deinstall libdns169-9.11.2-2.P1
  - do not ask to deinstall libedit0-20130712-1
  - do not ask to deinstall libidn11-1.33-1
  - do not ask to deinstall libirs160-9.11.2-2.P1
  - do not ask to deinstall libkrb5_3-1.15.2-1
  - do not ask to deinstall liblwres160-9.11.2-2.P1
  - do not ask to deinstall libkrb5support0-1.15.2-1
  - do not ask to deinstall liblmdb0-0.9.19-1
  - do not ask to deinstall GeoIP-database-20171111-1
Problem 62/97
package libneon-devel-0.30.1-1 requires libexpat-devel, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of libneon-devel-0.30.1-1
Solution 2/2 (default)
  - do not ask to deinstall libexpat-devel-2.2.3-1
  - do not ask to deinstall libiconv-devel-1.14-3
  - do not ask to deinstall libkrb5-devel-1.15.2-1
  - do not ask to deinstall libproxy-devel-0.4.14-2
  - do not ask to deinstall libcom_err2-1.42.12-2
  - do not ask to deinstall libkdb5_8-1.15.2-1
  - do not ask to deinstall libkrad0-1.15.2-1
Problem 63/97
package discus-0.2.9-1 requires python, but none of the providers can be
installed
Solution 1/4
  - do not ask to deinstall python2-2.7.14-1
Solution 2/4
  - do not ask to deinstall libffi6-3.2.1-1
Solution 3/4
  - do not ask to deinstall libdb4.8-4.8.30-1
  - do not ask to lock discus-0.2.9-1
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of links-2.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of stunnel-5.44-1
Solution 4/4 (default)
  - do not ask to lock discus-0.2.9-1
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of links-2.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of stunnel-5.44-1
Problem 64/97
package perl-5.26.1-1 requires libgdbm4, but none of the providers can be
installed
Solution 1/2
  - allow deinstallation of perl-5.26.1-1
  - allow deinstallation of bzr-2.7.0-1
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of autoconf-13-1
Solution 2/2 (default)
  - do not ask to deinstall libgdbm4-1.12-1
Problem 65/97
package wget-1.19.1-2 requires libidn2_0, but none of the providers can be
installed
Solution 1/2
  - allow deinstallation of wget-1.19.1-2
Solution 2/2 (default)
  - do not ask to deinstall libidn2_0-2.0.4-1
  - do not ask to deinstall libnettle6-3.3-1
  - do not ask to deinstall libpsl5-0.18.0-1
  - do not ask to deinstall libhogweed4-3.3-1
Problem 66/97
package gcc-g++-6.4.0-5 requires libisl15, but none of the providers can be
installed
Solution 1/2
  - allow deinstallation of gcc-g++-6.4.0-5
Solution 2/2 (default)
  - do not ask to deinstall libisl15-0.16.1-1
  - do not ask to deinstall libmpc3-1.0.3-1
  - do not ask to deinstall w32api-headers-5.0.3-1
  - do not ask to deinstall w32api-runtime-5.0.3-1
  - do not ask to deinstall windows-default-manifest-6.4-1
Problem 67/97
package curl-7.56.1-1 requires libmetalink3, but none of the providers can
be installed
Solution 1/2
  - allow deinstallation of curl-7.56.1-1
Solution 2/2 (default)
  - do not ask to deinstall libmetalink3-0.1.2-1
  - do not ask to deinstall libnghttp2_14-1.23.1-1
  - do not ask to deinstall libopenldap2_4_2-2.4.42-1
  - do not ask to deinstall libpsl5-0.18.0-1
  - do not ask to deinstall libssh2_1-1.7.0-1
  - do not ask to deinstall libcom_err2-1.42.12-2
  - do not ask to deinstall libk5crypto3-1.15.2-1
Problem 68/97
package gawk-4.2.0-1 requires libmpfr4, but none of the providers can be
installed
Solution 1/2
  - allow deinstallation of gawk-4.2.0-1
Solution 2/2 (default)
  - do not ask to deinstall libmpfr4-3.1.6-1p1
Problem 69/97
package libpcre2-devel-10.23-2 requires libpcre2_16_0, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of libpcre2-devel-10.23-2
Solution 2/2 (default)
  - do not ask to deinstall libpcre2_16_0-10.23-2
  - do not ask to deinstall libpcre2_32_0-10.23-2
  - do not ask to deinstall libpcre2_8_0-10.23-2
Problem 70/97
package man-db-2.7.6.1-1 requires libpipeline1, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of man-db-2.7.6.1-1
Solution 2/2 (default)
  - do not ask to deinstall libpipeline1-1.4.0-1
Problem 71/97
package util-linux-2.25.2-2 requires libsmartcols1, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of util-linux-2.25.2-2
Solution 2/2 (default)
  - do not ask to deinstall libsmartcols1-2.25.2-2
Problem 72/97
package util-linux-2.25.2-2 requires libuuid1, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of Base packages
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall libuuid1-2.25.2-2
Problem 73/97
package doxygen-1.8.14-2 requires libxapian30, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of doxygen-1.8.14-2
Solution 2/2 (default)
  - do not ask to deinstall libxapian30-1.4.5-1
  - do not ask to deinstall libllvm5.0-5.0.1-1
Problem 74/97
package libX11-devel-1.6.5-1 requires libxcb-devel, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of libX11-devel-1.6.5-1
Solution 2/2 (default)
  - do not ask to deinstall libxcb-devel-1.12-2
  - do not ask to deinstall libXdmcp6-1.1.2-1
Problem 75/97
package emacs-25.3-1 requires libxml2, but none of the providers can be
installed
Solution 1/2
  - allow deinstallation of emacs-25.3-1
Solution 2/2 (default)
  - do not ask to deinstall libxml2-2.9.4-2
  - do not ask to deinstall terminfo-extra-6.0-12.20171125
  - do not ask to deinstall xemacs-emacs-common-21.4.24-1
  - do not ask to deinstall libhogweed4-3.3-1
  - do not ask to deinstall libunistring2-0.9.8-1
Problem 76/97
package atool-0.39.0-1 requires perl, but none of the providers can be
installed
Solution 1/2
  - do not ask to deinstall perl_autorebase-5.26.1-1
Solution 2/2 (default)
  - do not ask to lock atool-0.39.0-1
  - allow deinstallation of atool-0.39.0-1
  - allow deinstallation of autoconf-13-1
Problem 77/97
package sng-1.1.0-1 requires rgb, but none of the providers can be
installed
Solution 1/2
  - allow deinstallation of sng-1.1.0-1
Solution 2/2 (default)
  - do not ask to deinstall rgb-1.0.5-1
Problem 78/97
package coreutils-8.26-2 requires tzcode, but none of the providers can be
installed
Solution 1/2
  - allow replacement of coreutils-8.26-2 with coreutils-8.25-3
Solution 2/2 (default)
  - do not ask to deinstall tzcode-2018c-1
Problem 79/97
package tar-1.29-1 requires xz, but none of the providers can be installed
Solution 1/2
  - allow deinstallation of tar-1.29-1
Solution 2/2 (default)
  - do not ask to deinstall xz-5.2.3-1
Problem 80/97
package libglib2.0_0-2.52.3-1 requires desktop-file-utils, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of pkg-config-0.29.1-1
Solution 2/2 (default)
  - do not ask to deinstall desktop-file-utils-0.23-1
Problem 81/97
package openssl-devel-1.0.2n-1 requires pkg-config, but none of the
providers can be installed
Solution 1/2
  - do not ask to lock openssl-devel-1.0.2n-1
Solution 2/2 (default)
  - do not ask to deinstall gsettings-desktop-schemas-3.24.1-1
Problem 82/97
package libgd3-2.2.5-1 requires libXpm4, but none of the providers can be
installed
Solution 1/2
  - allow deinstallation of libgd-devel-2.2.5-1
Solution 2/2 (default)
  - do not ask to deinstall libXpm4-3.5.12-1
  - do not ask to deinstall libfontconfig1-2.12.4-1
  - do not ask to deinstall libfreetype6-2.6.5-1
  - do not ask to deinstall libtiff6-4.0.9-1
Problem 83/97
package libguile2.0_22-2.0.14-2 requires libgc2, but none of the providers
can be installed
Solution 1/3
  - allow deinstallation of make-4.2.1-2
Solution 2/3
  - do not ask to deinstall libgc2-7.6.2-2
  - do not ask to deinstall libltdl7-2.4.6-5
  - do not ask to deinstall libunistring2-0.9.8-1
Solution 3/3 (default)
  - do not ask to deinstall libgc1-7.6.4-1
  - do not ask to deinstall libltdl7-2.4.6-5
  - do not ask to deinstall libunistring2-0.9.8-1
Problem 84/97
package libneon27-0.30.1-1 requires libgssapi_krb5_2, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of sitecopy-0.16.6-2
Solution 2/2 (default)
  - do not ask to deinstall libgssapi_krb5_2-1.15.2-1
  - do not ask to deinstall libproxy1-0.4.14-2
  - do not ask to deinstall libkrb5_3-1.15.2-1
Problem 85/97
package libgsl-devel-2.3-2 requires liblapack-devel, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of gsl-devel-2.3-2
Solution 2/2 (default)
  - do not ask to deinstall liblapack-devel-3.7.1-1
Problem 86/97
package libgsl19-2.3-2 requires liblapack0, but none of the providers can
be installed
Solution 1/2
  - allow deinstallation of orpie-1.5.2-3
Solution 2/2 (default)
  - do not ask to deinstall liblapack0-3.7.1-1
Problem 87/97
package libpopt0-1.16-2 requires libpopt-common, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of cygutils-1.4.16-2
Solution 2/2 (default)
  - do not ask to deinstall libpopt-common-1.16-2
Problem 88/97
package python2-2.7.14-1 requires libsqlite3_0, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of fish-2.7.0-1
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall libsqlite3_0-3.21.0-1
Problem 89/97
package libX11_6-1.6.5-1 requires libxcb1, but none of the providers can be
installed
Solution 1/2
  - allow replacement of ocaml-4.04.2-1 with ocaml-4.02.3-2
Solution 2/2 (default)
  - do not ask to deinstall libxcb1-1.12-2
  - do not ask to deinstall libXdmcp-devel-1.1.2-1
Problem 90/97
package ca-certificates-2.16-1 requires p11-kit, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of libopenssl100-1.0.2n-1
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of links-2.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall p11-kit-0.23.5-1
Problem 91/97
package socat-1.7.3.1-1 requires libopenssl100, but none of the providers
can be installed
Solution 1/2
  - do not ask to install socat-1.7.3.1-1
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of links-2.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of socat-2.0.0-b9-1
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall p11-kit-trust-0.23.5-1
Problem 92/97
package ocaml-camlp4-4.04+1-2 requires ocaml, but none of the providers can
be installed
Solution 1/3
  - do not ask to deinstall xproto-7.0.31-1
Solution 2/3
  - do not ask to lock ocaml-camlp4-4.04+1-2
  - allow deinstallation of ocaml-camlp4-4.04+1-2
Solution 3/3 (default)
  - do not ask to deinstall ocaml-base-4.04.2-1
Problem 93/97
package libglib2.0_0-2.52.3-1 requires libfam0, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of openssl-devel-1.0.2n-1
Solution 2/2 (default)
  - do not ask to deinstall libfam0-0.1.10-15
Problem 94/97
package openssl-1.0.2n-1 requires libopenssl100, but none of the providers
can be installed
Solution 1/2
  - do not ask to lock openssl-1.0.2n-1
  - allow deinstallation of lftp-4.7.8-2
  - allow deinstallation of links-2.8-2
  - allow deinstallation of openssl-1.0.2n-1
  - allow deinstallation of stunnel-5.44-1
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall libtasn1_6-4.12-1
  - do not ask to deinstall libp11-kit0-0.23.5-1
Problem 95/97
package python2-2.7.14-1 requires libuuid-devel, but none of the providers
can be installed
Solution 1/2
  - allow deinstallation of discus-0.2.9-1
  - allow deinstallation of bzr-2.7.0-1
Solution 2/2 (default)
  - do not ask to deinstall libuuid-devel-2.25.2-2
Problem 96/97
package libglib2.0_0-2.52.3-1 requires shared-mime-info, but none of the
providers can be installed
Solution 1/2
  - allow deinstallation of libncurses-devel-6.0-12.20171125
Solution 2/2 (default)
  - do not ask to deinstall shared-mime-info-1.8-1
Problem 97/97
package libfam0-0.1.10-15 requires gamin, but none of the providers can be
installed
Solution 1/3
  - allow deinstallation of libpng-devel-1.6.34-1
Solution 2/3
  - do not ask to deinstall zlib-devel-1.2.11-1
  - do not ask to deinstall gamin-0.1.10-15
Solution 3/3 (default)
  - do not ask to deinstall gamin-0.1.10-15

Augmented Transaction List:
   0   erase                                            base 0.0-0
   1   erase                                _update-info-dir 03000-1
   2   erase                                           aria2 1.32.0-1
   3   erase                                           atool 0.39.0-1
   4   erase                                     automake1.4 1.4p6-11
   5   erase                                     automake1.5 1.5-11
   6   erase                                     automake1.6 1.6.3-12
   7   erase                                     automake1.7 1.7.9-11
   8   erase                                     automake1.8 1.8.5-11
   9   erase                                      bind-utils 9.11.2-2.P1
  10   erase                                             bzr 2.7.0-1
  11   erase                                        compface 1.5.2-12
  12   erase                                             cvs 1.11.23-2
  13   erase                                        dos2unix 7.4.0-1
  14   erase                                            fish 2.7.0-1
  15   erase                                         flexdll 0.35-2
  16   erase                                      fontconfig 2.12.4-1
  17   erase                           ghostscript-fonts-std 20170801-4
  18   erase                                           gnupg 1.4.22-1
  19   erase                                        graphviz 2.40.1-3
  20   erase                                             gsl 2.3-2
  21   erase                                        help2man 1.47.4-1
  22   erase                                       inetutils 1.9.1-2
  23   erase                                          ipcalc 0.41-1
  24   erase                                            lftp 4.7.8-2
  25   erase                                         libEGL1 17.3.3-1
  26   erase                                          libGL1 17.3.3-1
  27   erase                                    libXpm-devel 3.5.12-1
  28   erase                                    libbind9_140 9.10.4-4.P4
  29   erase                                     libclang3.8 3.8.1-1
  30   erase                                     libclang4.0 4.0.1-1
  31   erase                                        libcord1 7.6.4-1
  32   erase                                        libdb4.8 4.8.30-1
  33   erase                                     libdialog13 1.3-2.20160828
  34   erase                                       libdns166 9.11.0-3.P5
  35   erase                             libfontconfig-devel 2.12.4-1
  36   erase                                       libgccpp1 7.6.4-1
  37   erase                                   libgcj-common 5.4.0-1
  38   erase                                     libgd-devel 2.2.5-1
  39   erase                                     libgnutls28 3.3.27-1
  40   erase                                         libgsl0 1.16-2
  41   erase                                      libguile17 1.8.8-3
  42   erase                                        libicu56 56.1-1
  43   erase                                        libicu57 57.1-1
  44   erase                                        libicu59 59.1-1
  45   erase                                       libirs141 9.10.4-4.P4
  46   erase                                        libisl10 0.11.1-2
  47   erase                                        libisl13 0.14.1-1
  48   erase                                      libjasper1 1.900.22-1
  49   erase                                   libjbig-devel 2.0-14
  50   erase                                   libjpeg-devel 1.5.3-1
  51   erase                              libkadm5clnt_mit10 1.14.4-1
  52   erase                               libkadm5clnt_mit9 1.13.2-4
  53   erase                               libkadm5srv_mit10 1.14.4-1
  54   erase                                libkadm5srv_mit9 1.13.2-4
  55   erase                                      libllvm3.5 3.5.2-2
  56   erase                                      libllvm3.8 3.8.1-1
  57   erase                                      libllvm3.9 3.9.1-1
  58   erase                                     liblwres141 9.10.4-4.P4
  59   erase                                   liblzma-devel 5.2.3-1
  60   erase                                   libneon-devel 0.30.1-1
  61   erase                                 libpcre2-posix0 10.21-1
  62   erase                                    libpoppler62 0.45.0-2
  63   erase                                   libprocps-ng4 3.3.10-1
  64   erase                                   libprocps-ng5 3.3.11-1
  65   erase                                   libtiff-devel 4.0.9-1
  66   erase                                     libtxc_dxtn 1.0.1-2
  67   erase                                    libvpx-devel 1.6.1-1
  68   erase                                         libvpx1 1.3.0-2
  69   erase                                         libvpx3 1.5.0-1
  70   erase                                         libvtv0 5.4.0-1
  71   erase                                     libwebpmux1 0.4.4-1
  72   erase                                   libwrap-devel 7.6-22
  73   erase                                     libxapian22 1.2.24-1
  74   erase                                            lynx 2.8.7-1
  75   erase                                       multitail 6.4.2-1
  76   erase                                              nc 1.107-3
  77   erase                                             nss 3.30.2-1
  78   erase                                        openldap 2.4.42-1
  79   erase                                      patchutils 0.3.4-1
  80   erase                                           pdftk 2.02-1
  81   erase                             perl-Authen-SASL-XS 1.00-2
  82   erase                                perl-Date-Simple 3.03-3
  83   erase                                 perl-Digest-SHA 6.01-1
  84   erase                               perl-File-HomeDir 1.002-2
  85   erase                                 perl-File-Slurp 9999.19-6
  86   erase                            perl-File-Slurp-Tiny 0.004-2
  87   erase                             perl-List-MoreUtils 0.428-1
  88   erase                             perl-Locale-gettext 1.05-13
  89   erase                                 perl-MIME-tools 5.508-2
  90   erase                    perl-Module-Load-Conditional 0.68-2
  91   erase                                perl-Mojolicious 7.60-1
  92   erase                               perl-Net-SMTP-SSL 1.04-2
  93   erase                          perl-Unicode-Normalize 1.25-2
  94   erase                                 perl-XML-Parser 2.44-3
  95   erase                                   perl-XSLoader 0.24-2
  96   erase                                           pinfo 0.6.10-1
  97   erase                                            ping 1.0.2-1
  98   erase                                        pngcheck 2.3.0-1
  99   erase                                            popt 1.16-2
 100   erase                                          procps 3.3.10-1
 101   erase                                          psmisc 22.16-1
 102   erase                            python-beautifulsoup 3.2.1-1
 103   erase                                     python-cffi 1.9.1-1
 104   erase                                 python-docutils 0.13.1-2
 105   erase                                  python-imaging 4.1.1-1
 106   erase                                   python-jinja2 2.9.6-1
 107   erase                                     python-lxml 3.7.3-1
 108   erase                               python-markupsafe 0.23-2
 109   erase                                    python-numpy 1.11.2-1
 110   erase                                      python-ply 3.9-1
 111   erase                                python-pycparser 2.17-1
 112   erase                                 python-pygments 2.2.0-1
 113   erase                               python-setuptools 34.3.2-1
 114   erase                               python-simplejson 3.10.0-1
 115   erase                                   python-sphinx 1.6.5-1
 116   erase                                        readline 7.0.3-3
 117   erase                                       ruby-json 2.0.4-1
 118   erase                                  ruby-minitest4 5.10.3-1
 119   erase                                          screen 4.6.2-1
 120   erase                                      subversion 1.9.7-2
 121   erase                                      unison2.27 2.27.157-4
 122   erase                                      unison2.32 2.32.52-4
 123   erase                                      unison2.40 2.40.128-1
 124   erase                                      unison2.45 2.45.28-1
 125   erase                                      unison2.48 2.48.4-1
 126   erase                                      unison2.49 2.49.543-1
 127   erase                                      unison2.51 2.51.2-1
 128   erase                                          w32api 9999-1
 129   erase                                           whois 5.2.10-1
 130   erase                                           xclip 0.12-2
 131   erase                                      xmlstarlet 1.6.1-1
 132   erase                                           xmlto 0.0.26-1
 133   erase                                             zip 3.0-12
 134   erase                                     vim-minimal 8.0.1486-1
 135   erase                                          rebase 4.4.4-1
 136   erase                                         ncurses
6.0-12.20171125
 137   erase                                            file 5.30-1
 138   erase                                      base-files 4.3-2
 139   erase                                       libcares2 1.13.0-1
 140   erase                                       libirs160 9.11.2-2.P1
 141   erase                                    libbind9_160 9.11.2-2.P1
 142   erase                                    libcompface0 1.5.2-12
 143   erase                                         libusb0 1.2.6.0-2
 144   erase                                   liblab_gamut1 2.40.1-3
 145   erase                                        libgvpr2 2.40.1-3
 146   erase                                         libgvc6 2.40.1-3
 147   erase                                inetutils-server 1.9.1-2
 148   erase                                  libxcb-xfixes0 1.12-2
 149   erase                                   libxcb-dri2_0 1.12-2
 150   erase                                     libxcb-glx0 1.12-2
 151   erase                                     libX11-xcb1 1.6.5-1
 152   erase                                     dri-drivers 17.3.3-1
 153   erase                                      libllvm4.0 4.0.1-1
 154   erase                               libfreetype-devel 2.6.5-1
 155   erase                                     libhogweed2 2.7.1-1
 156   erase                                    libisccfg140 9.10.4-4.P4
 157   erase                                   libkrb5-devel 1.15.2-1
 158   erase                                    libopenjpeg1 1.5.2-3
 159   erase                                         libvpx4 1.6.1-1
 160   erase                                           patch 2.7.4-1
 161   erase                          perl-List-MoreUtils-XS 0.428-1
 162   erase                              perl-Exporter-Tiny 1.000000-2
 163   erase                                    perl-gettext 1.07-2
 164   erase                                  perl-MailTools 2.19-1
 165   erase                                            zlib 1.2.11-1
 166   erase                                  python-chardet 2.3.0-1
 167   erase                                    python2-lxml 3.7.3-1
 168   erase                              python2-simplejson 3.10.0-1
 169   erase                                  python2-sphinx 1.6.5-1
 170   erase                               libreadline-devel 7.0.3-3
 171   erase                                      libserf1_0 1.3.9-1
 172   erase                                             w3m 0.5.3-3
 173   erase                                     docbook-xsl 1.77.1-1
 174   erase                                         dblatex 0.3.10-1
 175   erase                                    libisccfg160 9.11.2-2.P1
 176   erase                                libpoppler-glib8 0.57.0-1
 177   erase                                    libpathplan4 2.40.1-3
 178   erase                                     libgts0.7_5 20121130-1
 179   erase                                     libgtk2.0_0 2.24.31-1
 180   erase                                      libcgraph6 2.40.1-3
 181   erase                                        libLASi1 1.1.1-2
 182   erase                                       libglapi0 17.3.3-1
 183   erase                                    libbz2-devel 1.0.6-3
 184   erase                                      libnettle4 2.7.1-1
 185   erase                                       libdns165 9.10.4-4.P4
 186   erase                                        libkrad0 1.15.2-1
 187   erase                               libkadm5srv_mit11 1.15.2-1
 188   erase                                   perl-TimeDate 2.30-3
 189   erase                python2-sphinxcontrib-websupport 1.0.1-1
 190   erase                                     libaprutil1 1.6.1-1
 191   erase                           build-docbook-catalog 1.5-2
 192   erase                                        transfig 3.2.6a-1
 193   erase                    texlive-collection-mathextra 20170520-1
 194   erase                   texlive-collection-latexextra 20170520-1
 195   erase                     texlive-collection-binextra 20170520-1
 196   erase                                           biber 2.10-1
 197   erase                                     ImageMagick 6.9.9.11-3
 198   erase                                       libdns169 9.11.2-2.P1
 199   erase                                    libpoppler68 0.57.0-1
 200   erase                                     libatk1.0_0 2.24.0-1
 201   erase                                      libXrandr2 1.5.1-1
 202   erase                                    libXinerama1 1.1.3-1
 203   erase                                     libXdamage1 1.1.4-1
 204   erase                                     libXcursor1 1.1.14-1
 205   erase                                  libXcomposite1 0.4.3-1
 206   erase                           gtk-update-icon-cache 3.22.20-1
 207   erase                              adwaita-icon-theme 3.24.0-1
 208   erase                                         libcdt5 2.40.1-3
 209   erase                                       libisc160 9.11.0-3.P5
 210   erase                                       libverto1 0.2.6-1
 211   erase                                  python2-xapian 1.4.5-1
 212   erase                                  python2-whoosh 2.7.4-1
 213   erase                                  python2-typing 3.6.2-1
 214   erase                              python2-sqlalchemy 1.1.15-1
 215   erase                        python2-sphinx_rtd_theme 0.2.4-1
 216   erase                         python2-snowballstemmer 1.2.1-1
 217   erase                                python2-requests 2.13.0-1
 218   erase                                  python2-jinja2 2.9.6-1
 219   erase                               python2-imagesize 0.7.1-1
 220   erase                                python2-docutils 0.13.1-2
 221   erase                                   python2-babel 2.5.1-1
 222   erase                               python2-alabaster 0.7.10-1
 223   erase                                libmysqlclient18 10.1.30-1
 224   erase                                       libiodbc2 3.52.8-2
 225   erase                                         libapr1 1.6.3-1
 226   erase                                          netpbm 10.80.00-1
 227   erase                                              bc 1.06.95-2
 228   erase                  texlive-collection-mathscience 20170520-1
 229   erase                     texlive-collection-pictures 20170520-1
 230   erase                                   preview-latex 11.92-1
 231   erase                                        rubygems 2.6.13-1
 232   erase                                 perl-File-Which 1.22-1
 233   erase                        perl-File-Copy-Recursive 0.38-6
 234   erase clisp2.49-6.20150312hg15611
 235   erase                  texlive-collection-bibtexextra 20180105-1
 236   erase                                libMagickWand6_5 6.9.9.11-3
 237   erase                                       libisc166 9.11.2-2.P1
 238   erase                                      libXfixes3 5.0.3-1
 239   erase                              hicolor-icon-theme 0.15-1
 240   erase                                     libcatgets1 1.1-2
 241   erase                                   libevent2.0_5 2.0.22-1
 242   erase                                 python2-urllib3 1.20-1
 243   erase                              python2-markupsafe 0.23-2
 244   erase                                    python2-pytz 2017.3-1
 245   erase                                    mysql-common 10.1.30-1
 246   erase                                     libnetpbm10 10.80.00-1
 247   erase             texlive-collection-fontsrecommended 20170520-1
 248   erase                                python2-pygments 2.2.0-1
 249   erase                                          tcl-tk 8.6.8-1
 250   erase                                   python2-numpy 1.11.2-1
 251   erase             texlive-collection-latexrecommended 20170520-1
 252   erase                                       ruby-rake 12.1.0-1
 253   erase                                         libsvm2 3.20-1
 254   erase                                          libpq5 9.6.7-1
 255   erase                                        libfcgi0 2.4.0-3
 256   erase                           perl-autovivification 0.18-1
 257   erase                                 perl-XML-Writer 0.625-2
 258   erase                                perl-XML-LibXSLT 1.95-3
 259   erase                          perl-XML-LibXML-Simple 0.99-1
 260   erase                          perl-Unicode-LineBreak 2017.004-2
 261   erase                            perl-Unicode-Collate 1.25-1
 262   erase                                 perl-Text-Roman 3.5-2
 263   erase                                   perl-Text-CSV 1.95-2
 264   erase                                perl-Text-BibTeX 0.85-1
 265   erase                                   perl-Sort-Key 1.33-2
 266   erase                          perl-Scalar-List-Utils 1.49-1
 267   erase                              perl-Regexp-Common 2017060201-2
 268   erase                               perl-Log-Log4perl 1.49-2
 269   erase                              perl-List-AllUtils 0.14-2
 270   erase                            perl-Lingua-Translit 0.28-1
 271   erase                         perl-LWP-Protocol-https 6.07-2
 272   erase                                   perl-IPC-Run3 0.048-3
 273   erase                                    perl-IPC-Cmd 0.98-2
 274   erase                                  perl-IO-String 1.08-6
 275   erase                               perl-File-Slurper 0.011-1
 276   erase                    perl-DateTime-Format-Builder 0.81-2
 277   erase                   perl-DateTime-Calendar-Julian 0.04-2
 278   erase                                perl-Data-Uniqid 0.12-2
 279   erase                                  perl-Data-Dump 1.23-2
 280   erase                               perl-Data-Compare 1.25-3
 281   erase                             perl-Class-Accessor 0.51-1
 282   erase                              perl-Business-ISSN 0.91-3
 283   erase                              perl-Business-ISMN 1.131-2
 284   erase                              perl-Business-ISBN 3.004-2
 285   erase                                libMagickCore6_5 6.9.9.11-3
 286   erase                                      libjson-c2 0.12-1
 287   erase                                 python2-openssl 16.2.0-1
 288   erase            python2-backports.ssl_match_hostname 3.5.0.1-1
 289   erase                                 python2-imaging 4.1.1-1
 290   erase                                 python2-chardet 2.3.0-1
 291   erase                                             tcl 8.6.8-1
 292   erase                                         libXss1 1.2.2-1
 293   erase                              python2-setuptools 34.3.2-1
 294   erase                        texlive-collection-latex 20170520-2
 295   erase                                 ruby-io-console 0.4.6-1
 296   erase                                           crypt 2.1-1
 297   erase                                         libxslt 1.1.29-1
 298   erase                                 perl-XML-LibXML 2.0132-1
 299   erase                               perl-MIME-Charset 1.012.2-2
 300   erase                               perl-List-UtilsBy 0.10-2
 301   erase                             perl-List-SomeUtils 0.56-2
 302   erase                                 perl-Mozilla-CA 20160104-2
 303   erase                              perl-IO-Socket-SSL 2.052-1
 304   erase                            perl-Params-Validate 1.29-2
 305   erase                   perl-DateTime-Format-Strptime 1.75-1
 306   erase                         perl-Class-Factory-Util 1.7-2
 307   erase                             perl-File-Find-Rule 0.34-2
 308   erase                                  perl-Tie-Cycle 1.225-2
 309   erase                         perl-Business-ISBN-Data 20140910.003-2
 310   erase                                libMagickCore6_2 6.9.5.7-2
 311   erase                                libjson-c-common 0.12-1
 312   erase                            python2-cryptography 1.8.1-1
 313   erase                                     libwebpmux3 0.6.1-1
 314   erase                                 python2-appdirs 1.4.3-1
 315   erase                        texlive-collection-basic 20170520-1
 316   erase                                      ruby-psych 2.2.4-1
 317   erase                                     libgcrypt20 1.7.8-1
 318   erase                                    perl-XML-SAX 0.99-6
 319   erase                          perl-List-SomeUtils-XS 0.56-1
 320   erase                                 perl-Net-SSLeay 1.82-1
 321   erase                 perl-Package-DeprecationManager 0.17-2
 322   erase                                   perl-DateTime 1.45-1
 323   erase                                  perl-Text-Glob 0.11-2
 324   erase                             perl-Number-Compare 0.03-6
 325   erase                                   libautotrace3 0.31.1-18
 326   erase                                     python2-six 1.10.0-1
 327   erase                               python2-packaging 16.8-1
 328   erase                               python2-ipaddress 1.0.18-1
 329   erase                                    python2-idna 2.5-1
 330   erase                                  python2-enum34 1.1.6-1
 331   erase                                    python2-cffi 1.9.1-1
 332   erase                              python2-asn1crypto 0.22.0-1
 333   erase                                         texlive 20170520-3
 334   erase                                            ruby 2.3.6-1
 335   erase                               perl-XML-SAX-Base 1.09-2
 336   erase                       perl-XML-NamespaceSupport 1.12-2
 337   erase                                   perl-Sub-Name 0.21-2
 338   erase                                perl-Sub-Install 0.928-3
 339   erase                                perl-Params-Util 1.07-6
 340   erase                          perl-DateTime-TimeZone 2.15-1
 341   erase                            perl-DateTime-Locale 1.17-1
 342   erase                                    libpstoedit0 3.70-2
 343   erase                               python2-pyparsing 2.1.10-1
 344   erase                               python2-pycparser 2.17-1
 345   erase                                perl-libwww-perl 6.31-1
 346   erase                                         perl-Tk 804.034-1
 347   erase                                     libzzip0.13 0.13.62-1
 348   erase                                   libtexluajit2 20170520-3
 349   erase                                   libtexlua52_5 20170520-3
 350   erase                                      libteckit0 2.5.6-1
 351   erase                                     libsynctex1 20170520-3
 352   erase                                     libptexenc1 20170520-3
 353   erase                                     libpotrace0 1.14-1
 354   erase                                    libpoppler66 0.52.0-2
 355   erase                                        libicu58 58.2-1
 356   erase                                libharfbuzz-icu0 1.7.4-1
 357   erase                                          libXi6 1.7.9-1
 358   erase                                     ghostscript 9.22-3
 359   erase                                              ed 1.14.1-1
 360   erase                                          dialog 1.3-3.20170131
 361   erase                                       ruby-rdoc 5.1.0-1
 362   erase                            perl-Class-Singleton 1.5-2
 363   erase                        perl-namespace-autoclean 0.28-2
 364   erase                                     perl-Specio 0.42-1
 365   erase                  perl-Params-ValidationCompiler 0.26-1
 366   erase                              perl-File-ShareDir 1.104-2
 367   erase                                 libMagickC++6_6 6.9.5.7-2
 368   erase                                     python2-ply 3.9-1
 369   erase                             perl-WWW-RobotRules 6.02-6
 370   erase                                   perl-Net-HTTP 6.17-1
 371   erase                             perl-HTTP-Negotiate 6.01-6
 372   erase                                perl-HTTP-Daemon 6.01-6
 373   erase                               perl-HTTP-Cookies 6.04-2
 374   erase                                perl-HTML-Parser 3.72-2
 375   erase                               perl-File-Listing 6.04-6
 376   erase                                     perl-Socket 2.024-3
 377   erase                                    libkpathsea6 20170520-3
 378   erase                                    libopenjp2_7 2.2.0-1
 379   erase                                         libnss3 3.30.2-1
 380   erase                                        libicu60 60.2-1
 381   erase                                urw-base35-fonts 20170801-4
 382   erase                                    poppler-data 0.4.8-1
 383   erase                         ghostscript-fonts-other 6.0-1
 384   erase                                     libdialog14 1.3-3.20170131
 385   erase                                   ruby-minitest 5.10.3-1
 386   erase                               ruby-did_you_mean 1.0.2-1
 387   erase                                    ruby-builder 3.2.3-1
 388   erase                                      libyaml0_2 0.1.6-2
 389   erase                            perl-namespace-clean 0.27-2
 390   erase                               perl-Sub-Identify 0.14-2
 391   erase                                 perl-Test-Fatal 0.014-3
 392   erase                                  perl-Sub-Quote 2.004000-2
 393   erase                                  perl-Role-Tiny 2.000006-1
 394   erase                                 perl-MRO-Compat 0.13-2
 395   erase                            perl-Exception-Class 1.44-1
 396   erase                               perl-Eval-Closure 0.14-2
 397   erase                            perl-Class-Inspector 1.32-2
 398   erase                                libMagickWand6_2 6.9.5.7-2
 399   erase                               perl-HTTP-Message 6.14-1
 400   erase                                perl-HTML-Tagset 3.20-6
 401   erase                                        libnspr4 4.14-1
 402   erase                              perl-Package-Stash 0.37-3
 403   erase                         perl-B-Hooks-EndOfScope 0.21-2
 404   erase                           perl-Devel-StackTrace 2.03-1
 405   erase                     perl-Class-Data-Inheritable 0.08-2
 406   erase                                         libzip2 0.11.2-2
 407   erase                                        libwebp5 0.4.4-1
 408   erase                                      librsvg2_2 2.40.18-1
 409   erase                                     libplotter2 2.6-5
 410   erase                                        libming1 0.4.8-1
 411   erase                                          libgs9 9.22-3
 412   erase                                          libgd3 2.2.5-1
 413   erase                                         libfpx1 1.3.1.4-1
 414   erase                                      libfftw3_3 3.3.6-pl1-1
 415   erase                                         libEMF1 1.0.8-1
 416   erase                                        perl-URI 1.72-2
 417   erase                             perl-LWP-MediaTypes 6.02-6
 418   erase                                    perl-IO-HTML 1.001-3
 419   erase                                  perl-HTTP-Date 6.02-6
 420   erase                              perl-Encode-Locale 1.05-2
 421   erase                           perl-Package-Stash-XS 0.28-4
 422   erase                        perl-Dist-CheckConflicts 0.11-3
 423   erase                             perl-Variable-Magic 0.62-1
 424   erase                   perl-Sub-Exporter-Progressive 0.001013-2
 425   erase                      perl-Module-Implementation 0.09-2
 426   erase                                   libpango1.0_0 1.40.12-1
 427   erase                              libgdk_pixbuf2.0_0 2.36.9-1
 428   erase                                         libXaw7 1.0.13-1
 429   erase                                         libgif4 4.1.6-10
 430   erase                                       libpaper1 1.1.24-2
 431   erase                                      liblcms2_2 2.9-1
 432   erase                                        libwebp7 0.6.1-1
 433   erase                                        libtiff6 4.0.9-1
 434   erase                                  libimagequant0 2.10.0-1
 435   erase                                   perl-Try-Tiny 0.28-2
 436   erase                             perl-Module-Runtime 0.016-1
 437   erase                                        libthai0 0.1.26-1
 438   erase                                    libharfbuzz0 1.7.4-1
 439   erase                                       libcairo2 1.14.10-1
 440   erase                                         libXft2 2.3.2-1
 441   erase                                      libjasper4 2.0.14-1
 442   erase                                         libXmu6 1.1.2-1
 443   erase                                 libpaper-common 1.1.24-2
 444   erase                                      libdatrie1 0.2.8-1
 445   erase                                  libgraphite2_3 1.3.10-1
 446   erase                                     libxcb-shm0 1.12-2
 447   erase                                  libxcb-render0 1.12-2
 448   erase                                    libpixman1_0 0.34.0-1
 449   erase                                       liblzo2_2 2.10-1
 450   erase                                  libfontconfig1 2.12.4-1
 451   erase                                     libXrender1 0.9.9-1
 452   erase                                        libjpeg8 1.5.3-1
 453   erase                                          libXt6 1.1.5-1
 454   erase                                        libXext6 1.3.3-1
 455   erase                            libfontconfig-common 2.12.4-1
 456   erase                                       findutils 4.6.0-1
 457   erase                                          libSM6 1.2.2-1
 458   erase                                         libICE6 1.0.9-1
 459 install                                  libcrypt-devel 1.4-1
 460   erase                                  libcrypt-devel 2.1-1
 461 install                                      libassuan0 2.5.1-1
 462 install                                        pinentry 1.0.0-2
default solutions did not solve all problems!
Augmented Transaction List:
   0   erase                                            base 0.0-0
   1   erase                                _update-info-dir 03000-1
   2   erase                                           aria2 1.32.0-1
   3   erase                                           atool 0.39.0-1
   4   erase                                     automake1.4 1.4p6-11
   5   erase                                     automake1.5 1.5-11
   6   erase                                     automake1.6 1.6.3-12
   7   erase                                     automake1.7 1.7.9-11
   8   erase                                     automake1.8 1.8.5-11
   9   erase                                      bind-utils 9.11.2-2.P1
  10   erase                                             bzr 2.7.0-1
  11   erase                                        compface 1.5.2-12
  12   erase                                             cvs 1.11.23-2
  13   erase                                        dos2unix 7.4.0-1
  14   erase                                            fish 2.7.0-1
  15   erase                                         flexdll 0.35-2
  16   erase                                      fontconfig 2.12.4-1
  17   erase                           ghostscript-fonts-std 20170801-4
  18   erase                                           gnupg 1.4.22-1
  19   erase                                        graphviz 2.40.1-3
  20   erase                                             gsl 2.3-2
  21   erase                                        help2man 1.47.4-1
  22   erase                                       inetutils 1.9.1-2
  23   erase                                          ipcalc 0.41-1
  24   erase                                            lftp 4.7.8-2
  25   erase                                         libEGL1 17.3.3-1
  26   erase                                          libGL1 17.3.3-1
  27   erase                                    libXpm-devel 3.5.12-1
  28   erase                                    libbind9_140 9.10.4-4.P4
  29   erase                                     libclang3.8 3.8.1-1
  30   erase                                     libclang4.0 4.0.1-1
  31   erase                                        libcord1 7.6.4-1
  32   erase                                        libdb4.8 4.8.30-1
  33   erase                                     libdialog13 1.3-2.20160828
  34   erase                                       libdns166 9.11.0-3.P5
  35   erase                             libfontconfig-devel 2.12.4-1
  36   erase                                       libgccpp1 7.6.4-1
  37   erase                                   libgcj-common 5.4.0-1
  38   erase                                     libgd-devel 2.2.5-1
  39   erase                                     libgnutls28 3.3.27-1
  40   erase                                         libgsl0 1.16-2
  41   erase                                      libguile17 1.8.8-3
  42   erase                                        libicu56 56.1-1
  43   erase                                        libicu57 57.1-1
  44   erase                                        libicu59 59.1-1
  45   erase                                       libirs141 9.10.4-4.P4
  46   erase                                        libisl10 0.11.1-2
  47   erase                                        libisl13 0.14.1-1
  48   erase                                      libjasper1 1.900.22-1
  49   erase                                   libjbig-devel 2.0-14
  50   erase                                   libjpeg-devel 1.5.3-1
  51   erase                              libkadm5clnt_mit10 1.14.4-1
  52   erase                               libkadm5clnt_mit9 1.13.2-4
  53   erase                               libkadm5srv_mit10 1.14.4-1
  54   erase                                libkadm5srv_mit9 1.13.2-4
  55   erase                                      libllvm3.5 3.5.2-2
  56   erase                                      libllvm3.8 3.8.1-1
  57   erase                                      libllvm3.9 3.9.1-1
  58   erase                                     liblwres141 9.10.4-4.P4
  59   erase                                   liblzma-devel 5.2.3-1
  60   erase                                   libneon-devel 0.30.1-1
  61   erase                                 libpcre2-posix0 10.21-1
  62   erase                                    libpoppler62 0.45.0-2
  63   erase                                   libprocps-ng4 3.3.10-1
  64   erase                                   libprocps-ng5 3.3.11-1
  65   erase                                   libtiff-devel 4.0.9-1
  66   erase                                     libtxc_dxtn 1.0.1-2
  67   erase                                    libvpx-devel 1.6.1-1
  68   erase                                         libvpx1 1.3.0-2
  69   erase                                         libvpx3 1.5.0-1
  70   erase                                         libvtv0 5.4.0-1
  71   erase                                     libwebpmux1 0.4.4-1
  72   erase                                   libwrap-devel 7.6-22
  73   erase                                     libxapian22 1.2.24-1
  74   erase                                            lynx 2.8.7-1
  75   erase                                       multitail 6.4.2-1
  76   erase                                              nc 1.107-3
  77   erase                                             nss 3.30.2-1
  78   erase                                        openldap 2.4.42-1
  79   erase                                      patchutils 0.3.4-1
  80   erase                                           pdftk 2.02-1
  81   erase                             perl-Authen-SASL-XS 1.00-2
  82   erase                                perl-Date-Simple 3.03-3
  83   erase                                 perl-Digest-SHA 6.01-1
  84   erase                               perl-File-HomeDir 1.002-2
  85   erase                                 perl-File-Slurp 9999.19-6
  86   erase                            perl-File-Slurp-Tiny 0.004-2
  87   erase                             perl-List-MoreUtils 0.428-1
  88   erase                             perl-Locale-gettext 1.05-13
  89   erase                                 perl-MIME-tools 5.508-2
  90   erase                    perl-Module-Load-Conditional 0.68-2
  91   erase                                perl-Mojolicious 7.60-1
  92   erase                               perl-Net-SMTP-SSL 1.04-2
  93   erase                          perl-Unicode-Normalize 1.25-2
  94   erase                                 perl-XML-Parser 2.44-3
  95   erase                                   perl-XSLoader 0.24-2
  96   erase                                           pinfo 0.6.10-1
  97   erase                                            ping 1.0.2-1
  98   erase                                        pngcheck 2.3.0-1
  99   erase                                            popt 1.16-2
 100   erase                                          procps 3.3.10-1
 101   erase                                          psmisc 22.16-1
 102   erase                            python-beautifulsoup 3.2.1-1
 103   erase                                     python-cffi 1.9.1-1
 104   erase                                 python-docutils 0.13.1-2
 105   erase                                  python-imaging 4.1.1-1
 106   erase                                   python-jinja2 2.9.6-1
 107   erase                                     python-lxml 3.7.3-1
 108   erase                               python-markupsafe 0.23-2
 109   erase                                    python-numpy 1.11.2-1
 110   erase                                      python-ply 3.9-1
 111   erase                                python-pycparser 2.17-1
 112   erase                                 python-pygments 2.2.0-1
 113   erase                               python-setuptools 34.3.2-1
 114   erase                               python-simplejson 3.10.0-1
 115   erase                                   python-sphinx 1.6.5-1
 116   erase                                        readline 7.0.3-3
 117   erase                                       ruby-json 2.0.4-1
 118   erase                                  ruby-minitest4 5.10.3-1
 119   erase                                          screen 4.6.2-1
 120   erase                                      subversion 1.9.7-2
 121   erase                                      unison2.27 2.27.157-4
 122   erase                                      unison2.32 2.32.52-4
 123   erase                                      unison2.40 2.40.128-1
 124   erase                                      unison2.45 2.45.28-1
 125   erase                                      unison2.48 2.48.4-1
 126   erase                                      unison2.49 2.49.543-1
 127   erase                                      unison2.51 2.51.2-1
 128   erase                                          w32api 9999-1
 129   erase                                           whois 5.2.10-1
 130   erase                                           xclip 0.12-2
 131   erase                                      xmlstarlet 1.6.1-1
 132   erase                                           xmlto 0.0.26-1
 133   erase                                             zip 3.0-12
 134   erase                                     vim-minimal 8.0.1486-1
 135   erase                                          rebase 4.4.4-1
 136   erase                                         ncurses
6.0-12.20171125
 137   erase                                            file 5.30-1
 138   erase                                      base-files 4.3-2
 139   erase                                       libcares2 1.13.0-1
 140   erase                                       libirs160 9.11.2-2.P1
 141   erase                                    libbind9_160 9.11.2-2.P1
 142   erase                                    libcompface0 1.5.2-12
 143   erase                                         libusb0 1.2.6.0-2
 144   erase                                   liblab_gamut1 2.40.1-3
 145   erase                                        libgvpr2 2.40.1-3
 146   erase                                         libgvc6 2.40.1-3
 147   erase                                inetutils-server 1.9.1-2
 148   erase                                  libxcb-xfixes0 1.12-2
 149   erase                                   libxcb-dri2_0 1.12-2
 150   erase                                     libxcb-glx0 1.12-2
 151   erase                                     libX11-xcb1 1.6.5-1
 152   erase                                     dri-drivers 17.3.3-1
 153   erase                                      libllvm4.0 4.0.1-1
 154   erase                               libfreetype-devel 2.6.5-1
 155   erase                                     libhogweed2 2.7.1-1
 156   erase                                    libisccfg140 9.10.4-4.P4
 157   erase                                   libkrb5-devel 1.15.2-1
 158   erase                                    libopenjpeg1 1.5.2-3
 159   erase                                         libvpx4 1.6.1-1
 160   erase                                           patch 2.7.4-1
 161   erase                          perl-List-MoreUtils-XS 0.428-1
 162   erase                              perl-Exporter-Tiny 1.000000-2
 163   erase                                    perl-gettext 1.07-2
 164   erase                                  perl-MailTools 2.19-1
 165   erase                                            zlib 1.2.11-1
 166   erase                                  python-chardet 2.3.0-1
 167   erase                                    python2-lxml 3.7.3-1
 168   erase                              python2-simplejson 3.10.0-1
 169   erase                                  python2-sphinx 1.6.5-1
 170   erase                               libreadline-devel 7.0.3-3
 171   erase                                      libserf1_0 1.3.9-1
 172   erase                                             w3m 0.5.3-3
 173   erase                                     docbook-xsl 1.77.1-1
 174   erase                                         dblatex 0.3.10-1
 175   erase                                    libisccfg160 9.11.2-2.P1
 176   erase                                libpoppler-glib8 0.57.0-1
 177   erase                                    libpathplan4 2.40.1-3
 178   erase                                     libgts0.7_5 20121130-1
 179   erase                                     libgtk2.0_0 2.24.31-1
 180   erase                                      libcgraph6 2.40.1-3
 181   erase                                        libLASi1 1.1.1-2
 182   erase                                       libglapi0 17.3.3-1
 183   erase                                    libbz2-devel 1.0.6-3
 184   erase                                      libnettle4 2.7.1-1
 185   erase                                       libdns165 9.10.4-4.P4
 186   erase                                        libkrad0 1.15.2-1
 187   erase                               libkadm5srv_mit11 1.15.2-1
 188   erase                                   perl-TimeDate 2.30-3
 189   erase                python2-sphinxcontrib-websupport 1.0.1-1
 190   erase                                     libaprutil1 1.6.1-1
 191   erase                           build-docbook-catalog 1.5-2
 192   erase                                        transfig 3.2.6a-1
 193   erase                    texlive-collection-mathextra 20170520-1
 194   erase                   texlive-collection-latexextra 20170520-1
 195   erase                     texlive-collection-binextra 20170520-1
 196   erase                                           biber 2.10-1
 197   erase                                     ImageMagick 6.9.9.11-3
 198   erase                                       libdns169 9.11.2-2.P1
 199   erase                                    libpoppler68 0.57.0-1
 200   erase                                     libatk1.0_0 2.24.0-1
 201   erase                                      libXrandr2 1.5.1-1
 202   erase                                    libXinerama1 1.1.3-1
 203   erase                                     libXdamage1 1.1.4-1
 204   erase                                     libXcursor1 1.1.14-1
 205   erase                                  libXcomposite1 0.4.3-1
 206   erase                           gtk-update-icon-cache 3.22.20-1
 207   erase                              adwaita-icon-theme 3.24.0-1
 208   erase                                         libcdt5 2.40.1-3
 209   erase                                       libisc160 9.11.0-3.P5
 210   erase                                       libverto1 0.2.6-1
 211   erase                                  python2-xapian 1.4.5-1
 212   erase                                  python2-whoosh 2.7.4-1
 213   erase                                  python2-typing 3.6.2-1
 214   erase                              python2-sqlalchemy 1.1.15-1
 215   erase                        python2-sphinx_rtd_theme 0.2.4-1
 216   erase                         python2-snowballstemmer 1.2.1-1
 217   erase                                python2-requests 2.13.0-1
 218   erase                                  python2-jinja2 2.9.6-1
 219   erase                               python2-imagesize 0.7.1-1
 220   erase                                python2-docutils 0.13.1-2
 221   erase                                   python2-babel 2.5.1-1
 222   erase                               python2-alabaster 0.7.10-1
 223   erase                                libmysqlclient18 10.1.30-1
 224   erase                                       libiodbc2 3.52.8-2
 225   erase                                         libapr1 1.6.3-1
 226   erase                                          netpbm 10.80.00-1
 227   erase                                              bc 1.06.95-2
 228   erase                  texlive-collection-mathscience 20170520-1
 229   erase                     texlive-collection-pictures 20170520-1
 230   erase                                   preview-latex 11.92-1
 231   erase                                        rubygems 2.6.13-1
 232   erase                                 perl-File-Which 1.22-1
 233   erase                        perl-File-Copy-Recursive 0.38-6
 234   erase clisp2.49-6.20150312hg15611
 235   erase                  texlive-collection-bibtexextra 20180105-1
 236   erase                                libMagickWand6_5 6.9.9.11-3
 237   erase                                       libisc166 9.11.2-2.P1
 238   erase                                      libXfixes3 5.0.3-1
 239   erase                              hicolor-icon-theme 0.15-1
 240   erase                                     libcatgets1 1.1-2
 241   erase                                   libevent2.0_5 2.0.22-1
 242   erase                                 python2-urllib3 1.20-1
 243   erase                              python2-markupsafe 0.23-2
 244   erase                                    python2-pytz 2017.3-1
 245   erase                                    mysql-common 10.1.30-1
 246   erase                                     libnetpbm10 10.80.00-1
 247   erase             texlive-collection-fontsrecommended 20170520-1
 248   erase                                python2-pygments 2.2.0-1
 249   erase                                          tcl-tk 8.6.8-1
 250   erase                                   python2-numpy 1.11.2-1
 251   erase             texlive-collection-latexrecommended 20170520-1
 252   erase                                       ruby-rake 12.1.0-1
 253   erase                                         libsvm2 3.20-1
 254   erase                                          libpq5 9.6.7-1
 255   erase                                        libfcgi0 2.4.0-3
 256   erase                           perl-autovivification 0.18-1
 257   erase                                 perl-XML-Writer 0.625-2
 258   erase                                perl-XML-LibXSLT 1.95-3
 259   erase                          perl-XML-LibXML-Simple 0.99-1
 260   erase                          perl-Unicode-LineBreak 2017.004-2
 261   erase                            perl-Unicode-Collate 1.25-1
 262   erase                                 perl-Text-Roman 3.5-2
 263   erase                                   perl-Text-CSV 1.95-2
 264   erase                                perl-Text-BibTeX 0.85-1
 265   erase                                   perl-Sort-Key 1.33-2
 266   erase                          perl-Scalar-List-Utils 1.49-1
 267   erase                              perl-Regexp-Common 2017060201-2
 268   erase                               perl-Log-Log4perl 1.49-2
 269   erase                              perl-List-AllUtils 0.14-2
 270   erase                            perl-Lingua-Translit 0.28-1
 271   erase                         perl-LWP-Protocol-https 6.07-2
 272   erase                                   perl-IPC-Run3 0.048-3
 273   erase                                    perl-IPC-Cmd 0.98-2
 274   erase                                  perl-IO-String 1.08-6
 275   erase                               perl-File-Slurper 0.011-1
 276   erase                    perl-DateTime-Format-Builder 0.81-2
 277   erase                   perl-DateTime-Calendar-Julian 0.04-2
 278   erase                                perl-Data-Uniqid 0.12-2
 279   erase                                  perl-Data-Dump 1.23-2
 280   erase                               perl-Data-Compare 1.25-3
 281   erase                             perl-Class-Accessor 0.51-1
 282   erase                              perl-Business-ISSN 0.91-3
 283   erase                              perl-Business-ISMN 1.131-2
 284   erase                              perl-Business-ISBN 3.004-2
 285   erase                                libMagickCore6_5 6.9.9.11-3
 286   erase                                      libjson-c2 0.12-1
 287   erase                                 python2-openssl 16.2.0-1
 288   erase            python2-backports.ssl_match_hostname 3.5.0.1-1
 289   erase                                 python2-imaging 4.1.1-1
 290   erase                                 python2-chardet 2.3.0-1
 291   erase                                             tcl 8.6.8-1
 292   erase                                         libXss1 1.2.2-1
 293   erase                              python2-setuptools 34.3.2-1
 294   erase                        texlive-collection-latex 20170520-2
 295   erase                                 ruby-io-console 0.4.6-1
 296   erase                                           crypt 2.1-1
 297   erase                                         libxslt 1.1.29-1
 298   erase                                 perl-XML-LibXML 2.0132-1
 299   erase                               perl-MIME-Charset 1.012.2-2
 300   erase                               perl-List-UtilsBy 0.10-2
 301   erase                             perl-List-SomeUtils 0.56-2
 302   erase                                 perl-Mozilla-CA 20160104-2
 303   erase                              perl-IO-Socket-SSL 2.052-1
 304   erase                            perl-Params-Validate 1.29-2
 305   erase                   perl-DateTime-Format-Strptime 1.75-1
 306   erase                         perl-Class-Factory-Util 1.7-2
 307   erase                             perl-File-Find-Rule 0.34-2
 308   erase                                  perl-Tie-Cycle 1.225-2
 309   erase                         perl-Business-ISBN-Data 20140910.003-2
 310   erase                                libMagickCore6_2 6.9.5.7-2
 311   erase                                libjson-c-common 0.12-1
 312   erase                            python2-cryptography 1.8.1-1
 313   erase                                     libwebpmux3 0.6.1-1
 314   erase                                 python2-appdirs 1.4.3-1
 315   erase                        texlive-collection-basic 20170520-1
 316   erase                                      ruby-psych 2.2.4-1
 317   erase                                     libgcrypt20 1.7.8-1
 318   erase                                    perl-XML-SAX 0.99-6
 319   erase                          perl-List-SomeUtils-XS 0.56-1
 320   erase                                 perl-Net-SSLeay 1.82-1
 321   erase                 perl-Package-DeprecationManager 0.17-2
 322   erase                                   perl-DateTime 1.45-1
 323   erase                                  perl-Text-Glob 0.11-2
 324   erase                             perl-Number-Compare 0.03-6
 325   erase                                   libautotrace3 0.31.1-18
 326   erase                                     python2-six 1.10.0-1
 327   erase                               python2-packaging 16.8-1
 328   erase                               python2-ipaddress 1.0.18-1
 329   erase                                    python2-idna 2.5-1
 330   erase                                  python2-enum34 1.1.6-1
 331   erase                                    python2-cffi 1.9.1-1
 332   erase                              python2-asn1crypto 0.22.0-1
 333   erase                                         texlive 20170520-3
 334   erase                                            ruby 2.3.6-1
 335   erase                               perl-XML-SAX-Base 1.09-2
 336   erase                       perl-XML-NamespaceSupport 1.12-2
 337   erase                                   perl-Sub-Name 0.21-2
 338   erase                                perl-Sub-Install 0.928-3
 339   erase                                perl-Params-Util 1.07-6
 340   erase                          perl-DateTime-TimeZone 2.15-1
 341   erase                            perl-DateTime-Locale 1.17-1
 342   erase                                    libpstoedit0 3.70-2
 343   erase                               python2-pyparsing 2.1.10-1
 344   erase                               python2-pycparser 2.17-1
 345   erase                                perl-libwww-perl 6.31-1
 346   erase                                         perl-Tk 804.034-1
 347   erase                                     libzzip0.13 0.13.62-1
 348   erase                                   libtexluajit2 20170520-3
 349   erase                                   libtexlua52_5 20170520-3
 350   erase                                      libteckit0 2.5.6-1
 351   erase                                     libsynctex1 20170520-3
 352   erase                                     libptexenc1 20170520-3
 353   erase                                     libpotrace0 1.14-1
 354   erase                                    libpoppler66 0.52.0-2
 355   erase                                        libicu58 58.2-1
 356   erase                                libharfbuzz-icu0 1.7.4-1
 357   erase                                          libXi6 1.7.9-1
 358   erase                                     ghostscript 9.22-3
 359   erase                                              ed 1.14.1-1
 360   erase                                          dialog 1.3-3.20170131
 361   erase                                       ruby-rdoc 5.1.0-1
 362   erase                            perl-Class-Singleton 1.5-2
 363   erase                        perl-namespace-autoclean 0.28-2
 364   erase                                     perl-Specio 0.42-1
 365   erase                  perl-Params-ValidationCompiler 0.26-1
 366   erase                              perl-File-ShareDir 1.104-2
 367   erase                                 libMagickC++6_6 6.9.5.7-2
 368   erase                                     python2-ply 3.9-1
 369   erase                             perl-WWW-RobotRules 6.02-6
 370   erase                                   perl-Net-HTTP 6.17-1
 371   erase                             perl-HTTP-Negotiate 6.01-6
 372   erase                                perl-HTTP-Daemon 6.01-6
 373   erase                               perl-HTTP-Cookies 6.04-2
 374   erase                                perl-HTML-Parser 3.72-2
 375   erase                               perl-File-Listing 6.04-6
 376   erase                                     perl-Socket 2.024-3
 377   erase                                    libkpathsea6 20170520-3
 378   erase                                    libopenjp2_7 2.2.0-1
 379   erase                                         libnss3 3.30.2-1
 380   erase                                        libicu60 60.2-1
 381   erase                                urw-base35-fonts 20170801-4
 382   erase                                    poppler-data 0.4.8-1
 383   erase                         ghostscript-fonts-other 6.0-1
 384   erase                                     libdialog14 1.3-3.20170131
 385   erase                                   ruby-minitest 5.10.3-1
 386   erase                               ruby-did_you_mean 1.0.2-1
 387   erase                                    ruby-builder 3.2.3-1
 388   erase                                      libyaml0_2 0.1.6-2
 389   erase                            perl-namespace-clean 0.27-2
 390   erase                               perl-Sub-Identify 0.14-2
 391   erase                                 perl-Test-Fatal 0.014-3
 392   erase                                  perl-Sub-Quote 2.004000-2
 393   erase                                  perl-Role-Tiny 2.000006-1
 394   erase                                 perl-MRO-Compat 0.13-2
 395   erase                            perl-Exception-Class 1.44-1
 396   erase                               perl-Eval-Closure 0.14-2
 397   erase                            perl-Class-Inspector 1.32-2
 398   erase                                libMagickWand6_2 6.9.5.7-2
 399   erase                               perl-HTTP-Message 6.14-1
 400   erase                                perl-HTML-Tagset 3.20-6
 401   erase                                        libnspr4 4.14-1
 402   erase                              perl-Package-Stash 0.37-3
 403   erase                         perl-B-Hooks-EndOfScope 0.21-2
 404   erase                           perl-Devel-StackTrace 2.03-1
 405   erase                     perl-Class-Data-Inheritable 0.08-2
 406   erase                                         libzip2 0.11.2-2
 407   erase                                        libwebp5 0.4.4-1
 408   erase                                      librsvg2_2 2.40.18-1
 409   erase                                     libplotter2 2.6-5
 410   erase                                        libming1 0.4.8-1
 411   erase                                          libgs9 9.22-3
 412   erase                                          libgd3 2.2.5-1
 413   erase                                         libfpx1 1.3.1.4-1
 414   erase                                      libfftw3_3 3.3.6-pl1-1
 415   erase                                         libEMF1 1.0.8-1
 416   erase                                        perl-URI 1.72-2
 417   erase                             perl-LWP-MediaTypes 6.02-6
 418   erase                                    perl-IO-HTML 1.001-3
 419   erase                                  perl-HTTP-Date 6.02-6
 420   erase                              perl-Encode-Locale 1.05-2
 421   erase                           perl-Package-Stash-XS 0.28-4
 422   erase                        perl-Dist-CheckConflicts 0.11-3
 423   erase                             perl-Variable-Magic 0.62-1
 424   erase                   perl-Sub-Exporter-Progressive 0.001013-2
 425   erase                      perl-Module-Implementation 0.09-2
 426   erase                                   libpango1.0_0 1.40.12-1
 427   erase                              libgdk_pixbuf2.0_0 2.36.9-1
 428   erase                                         libXaw7 1.0.13-1
 429   erase                                         libgif4 4.1.6-10
 430   erase                                       libpaper1 1.1.24-2
 431   erase                                      liblcms2_2 2.9-1
 432   erase                                        libwebp7 0.6.1-1
 433   erase                                        libtiff6 4.0.9-1
 434   erase                                  libimagequant0 2.10.0-1
 435   erase                                   perl-Try-Tiny 0.28-2
 436   erase                             perl-Module-Runtime 0.016-1
 437   erase                                        libthai0 0.1.26-1
 438   erase                                    libharfbuzz0 1.7.4-1
 439   erase                                       libcairo2 1.14.10-1
 440   erase                                         libXft2 2.3.2-1
 441   erase                                      libjasper4 2.0.14-1
 442   erase                                         libXmu6 1.1.2-1
 443   erase                                 libpaper-common 1.1.24-2
 444   erase                                      libdatrie1 0.2.8-1
 445   erase                                  libgraphite2_3 1.3.10-1
 446   erase                                     libxcb-shm0 1.12-2
 447   erase                                  libxcb-render0 1.12-2
 448   erase                                    libpixman1_0 0.34.0-1
 449   erase                                       liblzo2_2 2.10-1
 450   erase                                  libfontconfig1 2.12.4-1
 451   erase                                     libXrender1 0.9.9-1
 452   erase                                        libjpeg8 1.5.3-1
 453   erase                                          libXt6 1.1.5-1
 454   erase                                        libXext6 1.3.3-1
 455   erase                            libfontconfig-common 2.12.4-1
 456   erase                                       findutils 4.6.0-1
 457   erase                                          libSM6 1.2.2-1
 458   erase                                         libICE6 1.0.9-1
 459 install                                  libcrypt-devel 1.4-1
 460   erase                                  libcrypt-devel 2.1-1
 461 install                                      libassuan0 2.5.1-1
 462 install                                        pinentry 1.0.0-2

c:\Users\x\Downloads\utilities\cygwin32>

Reply | Threaded
Open this post in threaded view
|

Re: setup 2.888 crashes on --prune-install

Achim Gratz
Andrew Schulman writes:
> When I run setup-x86_64.exe or setup-x86.exe with --prune-install as shown
> below, it crashes. An error dialog pops up saying "setup-x86.exe has
> stopped working". No other debug information appears on the console - the
> whole session is shown below.

That option, as I originally implemented it, should actually leave your
system exactly with those packages requested, without diving into
dependencies.  In other words, that list should be self-contained, like
you'd get from copying an existing installation from a different
machine.  From what you were saying I guess that you rather want to use
--delete-orphans.


Regards,
Achim.
--
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Factory and User Sound Singles for Waldorf rackAttack:
http://Synth.Stromeko.net/Downloads.html#WaldorfSounds
Reply | Threaded
Open this post in threaded view
|

Re: setup 2.888 crashes on --prune-install

Andrew Schulman
> Andrew Schulman writes:
> > When I run setup-x86_64.exe or setup-x86.exe with --prune-install as shown
> > below, it crashes. An error dialog pops up saying "setup-x86.exe has
> > stopped working". No other debug information appears on the console - the
> > whole session is shown below.
>
> That option, as I originally implemented it, should actually leave your
> system exactly with those packages requested, without diving into
> dependencies.  In other words, that list should be self-contained, like
> you'd get from copying an existing installation from a different
> machine.  From what you were saying I guess that you rather want to use
> --delete-orphans.

Thanks. Yes, --delete-orphans is what I wanted.

And sadly I just found out that pdftk is gone :(

Andrew

Reply | Threaded
Open this post in threaded view
|

Re: setup 2.888 crashes on --prune-install

Jon TURNEY
In reply to this post by Andrew Schulman
On 20/02/2018 18:33, Andrew Schulman wrote:

> When I run setup-x86_64.exe or setup-x86.exe with --prune-install as shown
> below, it crashes. An error dialog pops up saying "setup-x86.exe has
> stopped working". No other debug information appears on the console - the
> whole session is shown below.
>
> When I run the same command without --prune-install, it completes normally.
>
> Poor setup seems to be having trouble solving all of the dependencies. Not
> surprising, as my installation is old and crufty. Of course that's what I
> was hoping --prune-install would help to dig me out of.
>

Thanks for reporting this problem.

> c:\Users\x\Downloads\utilities\cygwin32>setup-x86.exe --no-shortcuts
> --quiet-mode --prune-install --packages
> atool,autoconf,automake,autossh,bc,bind-utils,byacc,bzr,curl,cygport,discus,dos2unix,doxygen,emacs,file,fish,flexdll,gcc-core,gcc-g++,gettext-devel,git,gnupg2,gsl-devel,help2man,lftp,libargp,libargp-devel,libcrypt-devel,libgd-devel,libiconv,libintl-devel,libncurses-devel,libneon-devel,libpcre2-devel,libpng-devel,libreadline-devel,libwrap-devel,libX11-devel,links,lndir,m4,make,multitail,ncurses,nosleep,ocaml,ocaml-camlp4,openssh,openssl-devel,orpie,p7zip,par2,patch,patchutils,pdftk,perl,pinentry,pinfo,pkg-config,procps-ng,psmisc,readline,rebase,robodoc,rsync,screen,sitecopy,sng,socat,stow,stunnel,time,tree,unison2.27,unison2.32,unison2.40,unison2.45,unison2.48,unison2.49,unison2.51,util-linux,wget,zip,
>
[...]
> Problem 1/97

!

> Augmented Transaction List:
>     0   erase                                            base 0.0-0

!!

Yeah, that's not working right... :(

I fixed the crash problem in 2.889, but there's other things wrong here:
for starters, the default solution we are picking aren't the best.
Reply | Threaded
Open this post in threaded view
|

Re: setup 2.888 crashes on --prune-install

Jon TURNEY
On 24/02/2018 14:58, Jon Turney wrote:

> On 20/02/2018 18:33, Andrew Schulman wrote:
>>
>>
> [...]
>> Problem 1/97
>
> !
>
>> Augmented Transaction List:
>>     0   erase                                            base 0.0-0
>
> !!
>
> Yeah, that's not working right... :(
>
> I fixed the crash problem in 2.889, but there's other things wrong here:
> for starters, the default solution we are picking aren't the best.
Attached is a patch which tries to improve the default solution
selection (although this could be still better, and of course a UI to
actually let solutions be chosen would also be good)


0001-Improve-default-solution-selection.patch (4K) Download Attachment